
<div id="message"></div>
@csrf
<input type="hidden" name="id" value="{{$orderManagement->id}}" id="id" />

<style>
    .customerDetails {
        display: flex;
        justify-content: space-between;
    }
    .table thead th {
        vertical-align: bottom;
        border: 1px solid #2c3545;
        background: #0c1830;
        color: #e1d492;
    }
    .table td {
        vertical-align: middle;
        border: 1px solid #2c3545;
        position: relative;
        padding: 0.15rem .75rem;
        color: #a9a9a9;
    }
</style>

<div class="p-5 space-x-4" id="msg-success">
    
    <div class="px-5 py-4">
    <div class="">
        <div class="text-sm">
            <div id='msg-success' class="font-medium text-green-700  dark:text-green-700 mb-3">
            </div>
            <ul id="error-list" class="text-red-500 mb-3"></ul>
        </div>

        <div class="space-y-3">
            <div class='w-full flex customerDetails text-gray-600 dark:text-gray-400'>
                <span><strong>Customer Name : </strong> {{$orderManagement->customer->customer_name}}</span>
                <span><strong>Address : </strong> {{$orderManagement->customer->address}}</span>
                <span><strong>Phone : </strong> {{$orderManagement->customer->phone}}</span>
            </div>
            <div class="invoice" id="invoice-container">
                <table id="table" class="table table-striped w-full">
                    <thead>
                    <tr>                        
                        <th style="width: 42px;">#</th>
                        <th class="text-left px-2" >Name</th>           
                        <th style="width: 82px;">Quntity</th>
                        <th style="width: 82px;">Price<span class="currency">(৳)</span></th>
                        <th style="width: 82px;">Total<span class="currency">(৳)</span></th>

                    </tr>
                    </thead>
                    <tbody>
                    @php $subtotal = 0; @endphp
                            
                            @if($orderManagement)
                                @php $i=1; @endphp
                                
                                @foreach($orderManagement->order_management_details as $item)
                                    <tr>
                                        <td class=" font-bold m-0 text-center">
                                        {{$i++}}
                                        </td>
                                        <td>{{$item->product->product_name}}</td>
    
                                        <td class="text-center">
                                            {{$item->quantity}}
                                        </td>
    
                                        <td class="text-right">
                                            {{App\Http\Controllers\SettingController::takaBDFormat($item->price)}} 
                                        </td>
    
                                        <td class="text-right">
                                        <span class="row-total">{{App\Http\Controllers\SettingController::takaBDFormat($item->price*$item->quantity)}}</span>              
                                        </td>
                                    @php 
                                    $subtotal += $item->price*$item->quantity;
                                    @endphp
                                    </tr>
                                @endforeach
                               
                            @endif
                            <tfoot>
                                <tr class="subtotal">
                                    <td colspan=4>Sub Total </td>
                                    <td class='text-right'> 
                                        <span id="__raw_materialTotalCurrency" class="font-medium text-gray-700 dark:text-gray-100 text-right">{{App\Http\Controllers\SettingController::takaBDFormat($subtotal)}}</span>
                                        <input type="hidden" class='rm_total_price form-input' name='rm_total_price' value='{{$subtotal}}'>
                                    </td>
                                </tr>
                            </tfoot>
                            @php $i-- @endphp
                    </tbody>

                </table>
            </div>

            <!-- <div id="__noRmWrapper">
                <div class="w-full py-4 rounded-lg text-center">
                    <span class="font-bold text-base text-gray-700">
                        --- {{ __('translation.No Raw Material Added') }} ---
                    </span>
                </div>
            </div> -->


            
        </div>

        <!-- Modal footer -->
        <div class="text-sm mt-5 mb-8">
            <div class="space-y-2 text-gray-600 dark:text-gray-400">
                <p>If you confirm then it will be removed.</p>
            </div>
        </div>                                   

        <!-- Modal footer -->
        <div class="flex flex-wrap justify-end space-x-2">
            <button type="button" class="__closeModal btn-sm border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 text-gray-800 dark:text-gray-300">Cancel</button>
            <button type="submit" class="btn-sm bg-red-500 hover:bg-red-600 text-white">Yes, Delete it</button>
        </div>
    </div>
</div>
</div>
            
<script>
 $(document).on('submit', '#form-delete-order', function(event) {
    event.preventDefault();
    var $message = $('#form-delete-order #message');
    var $msgSuccess = $('#form-delete-order #msg-success');

    var $errorList = $('#form-delete-order #error-list');

    // Clear existing errors (if any)
    $errorList.empty();


    var formData = new FormData($(this)[0]);
    //console.log(formData);
    $.ajax({
        url: '{{ route('order.delete') }}',
        type: 'post',
        data: formData,
        contentType: false,
        processData: false, // Add this line to prevent default processing of FormData
        success: function(response) {
            if(response.status==1){
                $("#message").html(response.message);                            
                $message.show();
                // Hide the modal after 3 seconds (1000 ms)
                setTimeout(function() {
                    //$('#add-order-modal').hide();
                    location.reload();
                }, 1000);
            }else{
                $message.show();
                    // Assuming you have a way to show these errors in your UI
                $message.html(response.message);                                    
                
            }
            
            
        },
        error: function(error) {
            $errorList.show();
            var errorData = error.responseJSON;
            console.error('result:', errorData.errors);
            // Display errors on the UI (you can customize how to show these)
            for (const [key, message] of Object.entries(errorData.errors)) {
                // Assuming you have a way to show these errors in your UI
                $errorList.append('<li>' + message + '</li>');                                    
            }
        }

    })
});
</script>