@csrf
<input type="hidden" name="order_management_id" value="{{ $deliveryChallan->order_managements->id }}">
<input type="hidden" name="delivery_challan_id" value="{{ $deliveryChallan->id }}">
<style>
    .customerDetails {
        display: flex;
        justify-content: space-between;
    }
    .table thead th {
        vertical-align: bottom;
        border: 1px solid #2c3545;
        background: #0c1830;
        color: #e1d492;
    }
    .table td {
        vertical-align: middle;
        border: 1px solid #2c3545;
        position: relative;
        padding: 0.15rem .75rem;
        color: #a9a9a9;
    }
</style>

<div class="px-5 py-4">
    <div class="text-sm">
        <div id='msg-success' class="font-medium text-green-700  dark:text-green-700 mb-3">
        </div>
        <ul id="error-list" class="text-red-500 mb-3"></ul>
    </div>

    <div class="space-y-3">
        <div class="w-full grid gap-5 md:grid-cols-3">
            <div class="shadow-sm rounded-xl">
                <label class="block text-sm font-medium mb-1" for="delivery_date">Delivery Date <span
                        class="text-red-500">*</span></label>
                        <input type="text" id="delivery_date" class="form-input datepicker-1 w-full"
                    name="delivery_date" placeholder="Enter Delivery Date" value="{{ $deliveryChallan->delivery_date }}" autocomplete="off">
            </div>


            <div hidden="">
                <label class="block text-sm font-medium mb-1" for="shop_id">Production Unit <span
                        class="text-red-500">*</span></label>
                <select id="__unitId" name="shop_id" class="form-select chosen-select rounded w-full py-2"
                    style="display: none;">
                    <option value="1">Siddirganj (Narayanganj)</option>
                </select>
                <div class="chosen-container chosen-container-single" title="" id="__unitId_chosen" style="width: 0px;">
                    <a class="chosen-single">
                        <span>Siddirganj (Narayanganj)</span>
                        <div><b></b></div>
                    </a>
                    <div class="chosen-drop">
                        <div class="chosen-search">
                            <input class="chosen-search-input" type="text" autocomplete="off">
                        </div>
                        <ul class="chosen-results"></ul>
                    </div>
                </div>
            </div>

            <!-- Select -->
            <div id="loadCustomerByUnitID" class="">
                <label class="block text-sm font-medium mb-1">
                    Customer <span class="text-red-500">*</span>
                </label>
                <select name="customer_id" id="customer_id" class="customer chosen-select form-select w-full">
                    <option value="">Select Customer</option>
                    @if($customers->isNotEmpty())
                        @foreach ($customers as $row)
                            <option @if($row->id==$deliveryChallan->customer_id) selected @endif value="{{$row->id}}">{{$row->customer_name}}</option>
                        @endforeach
                    @endif
                </select>
            </div>

            <div></div>

        </div>

        <!-- Show Product List  -->
        <div class="invoice" id="invoice-container">

            <table id="table" class="table table-striped w-full">
                <thead>
                    <tr>
                        <th style="width: 32px;" class="text-center">#</th>
                        <th class="text-left">Name</th>
                        <th style="width: 182px;">Quntity</th>
                    </tr>
                </thead>
                <tbody id="__productListWrapper">
                    
                    @if($deliveryChallan)
                        @php $i=1; @endphp
                        
                        @foreach($deliveryChallan->delivery_challan_details as $item)
                    <tr>
                    <input type="hidden" name="product_id[]" value="{{ !empty($item->product_id) ? $item->product_id : 0 }}" class="product_id" data-id="{{ $item->product->id }}"> 


                        <td class="index text-center">
                            {{$loop->index+1}}
                        </td>
                        <td>
                            <p class="font-bold m-0">
                                @if($item->product->product_name)
                                <span class="product_name">{{ $item->product->product_name }}</span>
                                @endif

                            </p>
                        </td>

                        <td class="index text-center">
                        <input type="text" value="{{$item->quantity}}" autocomplete=off name="product_qty[]" id="quantity"
                        class="form-input w-full px-2 py-1 text-center" />
                        </td>
                    </tr>
                    @endforeach
                    @endif
                </tbody>

            </table>
        </div>
      





        <div class="w-full grid gap-5 md:grid-cols-3">

            <div>
                <label class="block text-sm font-medium mb-1" for="vehicle_no">Vehicle no
                    <span class="text-red-500">*</span></label>
                <input id="vehicle_no" name="vehicle_no" value='{{ $deliveryChallan->vehicle_no }}' class="form-input w-full px-2 py-1" type="text" />
            </div>

            <div>
                <label for="chassis_no" class="block text-sm font-medium mb-1">Chassis No<x-form.required-mark /></label>
                <div class="flex flex-row gap-x-4">
                    <input type="text" value="{{ $deliveryChallan->chassis_no }}" autocomplete=off name="chassis_no" id="chassis_no"
                    class="form-input w-full px-2 py-1" />
                </div>
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="driver_name">Driver Name
                    <span class="text-red-500">*</span></label>
                    <input type="text" value="{{ $deliveryChallan->driver_name }}" autocomplete=off name="driver_name" id="driver_name"
                    class="form-input form-input w-full px-2 py-1" />
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="driver_mobile_no">Driver's Mobile
                    <span class="text-red-500">*</span></label>
                <input id="driver_mobile_no" name="driver_mobile_no" value="{{ $deliveryChallan->driver_mobile_no }}" class="form-input w-full px-2 py-1"
                    type="text" />
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="driving_lic_no">Driving License No
                    <span class="text-red-500">*</span></label>
                <input id="driving_lic_no" name="driving_lic_no" value="{{ $deliveryChallan->driving_lic_no }}" class="form-input w-full px-2 py-1"
                    type="text" />
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="driver_mobile_no">Driver's Mobile
                    <span class="text-red-500">*</span></label>
                <input id="driver_mobile_no" name="driver_mobile_no" value="{{ $deliveryChallan->driver_mobile_no }}" class="form-input w-full px-2 py-1"
                    type="text" />
            </div>

        </div>

        <div class="mt-2">
            <label class="block text-sm font-medium mb-1" for="destination">Destination</label>
            <textarea class="form-textarea w-full p-5" name="destination" spellcheck="false">{{ $deliveryChallan->destination }}</textarea>
        </div>

    </div>
</div>
<!-- Modal footer -->
<div class="px-5 py-4 border-t border-gray-200 dark:border-gray-700/60">
    <div class="flex flex-wrap justify-end space-x-2">
        <button
            class="__closeModal btn-sm border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 text-gray-800 dark:text-gray-300">Cancel</button>
        <button type="submit"
            class="btn-sm bg-gray-900 text-gray-100 hover:bg-gray-800 dark:bg-gray-100 dark:text-gray-800 dark:hover:bg-white">Save</button>
    </div>
</div>


<script type="text/javascript">
   $(".chosen-select").chosen({no_results_text: "Oops, nothing found!"}); 

    $(".datepicker-1").datepicker({
        dateFormat: 'dd-mm-yy'
    }); 


    $('.quantity').on('input', function () {
        let maxLimit = $(this).data('maxlimit'); // Get the data-maxlimit attribute
        let currentValue = parseInt($(this).val(), 10); // Get the current value and convert to integer

        // If the value exceeds the max limit, set it to the max limit
        if (currentValue > maxLimit) {
            $(this).val(maxLimit);
        }
    });
</script>