<x-app-layout>
    @section('title')
    {{ __('translation.Pettycash') }}
    @endsection

    @push('top_css')
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/jquery-ui-dist@1.12.1/jquery-ui.min.css">
    <link rel="stylesheet"
        href="https://cdn.jsdelivr.net/npm/jquery-datatables-checkboxes@1.2.12/css/dataTables.checkboxes.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11.0.19/dist/sweetalert2.min.css">
    
    <link rel="stylesheet" href="{{ asset('css/custom_css.css') }}">
    @endpush

    @push('bottom_css')
    <link rel="stylesheet" href="{{ asset('css/datatable-custom-toolbar.css?_=' . rand()) }}">

    <style>

td {
    border-bottom: 1px solid #283141;
}
    .summary tr td {
        border: 1px solid #283141;
        padding: 0.15rem .5rem;
    }

    .grand_total td {
        background: #00fdc6;
        border: 1px solid #283141;
        color: #464343;
    }

    .cash {
        background: #ffffb6 !important;
        color: #464343;
    }

    .cahs_in_total td {
        background: #90f2f7;
        border: 1px solid #283141;
        color: #464343;
    }
    .cahsout_total td {
        background: #dd9e9e;
        border: 1px solid #283141;
        color: #464343;
    }

    </style>
    @endpush

    <x-card title="Daily Pettycash Report">
    <div class="mt-6">
        <div class="col-span-12">
            <div class="col-span-12">
                <div class="mb-6">
                    <div class="w-full rounded-md shadow py-5 mb-6">
                        <div class="px-5">
                            <div class="flex flex-row overflow-x-auto">
                                <div class="lg:col-span-2">
                                    <x-label>
                                        {{ __('translation.Payment Date') }}
                                        <x-form.required-mark />
                                    </x-label>
                                    <input type="text" autocomplete=off name="payment_date" id="payment_date"
                                        class="datepicker-1 form-input" value="{{$payment_date}}" required />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

           
            <div class="row">
                <div class="col-lg-12">
                        <div id="ajaxPettyCashWrapper">
                            <div class="w-full mb-10">
                                <div
                                    class="py-4 border-0 sm:border border-solid border-gray-300 rounded-md sm:bg-gray-50">
                                    <div class="mb-5" id="summaryWrapper">
                                        <div
                                            class="w-full sm:col-span-1 lg:col-span-4 grid grid-cols-1 lg:grid-cols-1 gap-4 sm:gap-x-8 px-5 sm:mx-auto">
                                            <div class="nav justify-content-center grid grid-cols-1">
                                                
                                                <div class="flex flex-row items-center justify-between mb-2">
                                                    <h2 class="block whitespace-nowrap text-yellow-500 text-base font-bold">
                                                        Cash In
                                                    </h2>
                                                    <hr class="w-full ml-3 relative -top-1 border border-r-0 border-b-0 border-l-0 border-yellow-300">
                                                </div>
                                                <table class="summary">
                                                    <tr
                                                        class="nav-item border border-solid border-gray-300 rounded-md bg-green-200">
                                                        <td style="width:25%"><strong>Type</strong></td>
                                                        <td style="width:10%" class="cash text-black text-right"><strong>Cash</strong>
                                                        </td>
                                                        <td style="width:10%" class="text-right"><strong>Banking</strong>
                                                        </td>
                                                        <td style="width:10%" class="text-right"><strong>Mobile
                                                                Banking</strong></td>
                                                        <td style="width:10%" class="text-right"><strong>Total</strong></td>
                                                    </tr>

                                                    <tr
                                                        class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
                                                        <td>Opening Balance</td>
                                                        <td class="cash text-right text-black">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($openning_balance)}}                                                            
                                                        </td>
                                                        <td class="text-right" colspan=3>
                                                            
                                                        </td>
                                                        
                                                    </tr>
                                                    @php
                                                    $subTotalCashIn = 0 ;
                                                    $subTotalCashInBanking = 0 ;
                                                    $subTotalCashInMobileBanking = 0 ;
                                                    $subTotalCashInAll = 0 ;

                                                    if($cashIn)
                                                            foreach ($cashIn as $row){
                                                                if(!empty($row->payment_method)){
                                                                $arrCashIn[$row->type][$row->payment_method->name][]=$row->paid;
                                                                }
                                                        }
                                                    @endphp   
                                                   
                                                    @if(!empty($arrCashIn))
                                                    @foreach ($arrCashIn as $category=>$paymentArray)
                                                        @php 
                                                            $cashReceive = isset($paymentArray['Cash']) ? array_sum($paymentArray['Cash']) : 0;
                                                            $bankReceive = isset($paymentArray['Banking']) ? array_sum($paymentArray['Banking']) : 0;
                                                            $mobileReceive = isset($paymentArray['Mobile Banking']) ? array_sum($paymentArray['Mobile Banking']) : 0;
                                                            $rowTotalReceive = $cashReceive + $bankReceive + $mobileReceive;
                                                            
                                                            $subTotalCashIn += $cashReceive;
                                                            $subTotalCashInBanking += $bankReceive;
                                                            $subTotalCashInMobileBanking += $mobileReceive;
                                                        @endphp
                                                    <tr
                                                        class="nav-item border border-solid border-gray-300 rounded-md bg-green-200">
                                                        <td>{{ ucwords(str_replace("_"," ",$category))}}</td>
                                                        <td class="cash text-right text-black">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($cashReceive)}}                                                            
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($bankReceive)}}  
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($mobileReceive)}}  
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($cashReceive+$bankReceive+$mobileReceive)}}
                                                        </td>
                                                    </tr>

                                                    @endforeach
                                                    @endif

                                                    <tr class="cahs_in_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
                                                        <td>Total Cash In</td>
                                                        <td class="cash text-right text-black">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($openning_balance+$subTotalCashIn)}}                                                            
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($subTotalCashInBanking)}}  
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($subTotalCashInMobileBanking)}}  
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($openning_balance+$subTotalCashIn+$subTotalCashInBanking+$subTotalCashInMobileBanking)}}
                                                        </td>
                                                    </tr>

                                                

                                                </table>
                                            </div>

                                            <div class="nav justify-content-center grid grid-cols-1">
                                                <span class="mb-2">Cash Out</span>
                                                <table class="summary">
                                                    <tr
                                                        class="nav-item border border-solid border-gray-300 rounded-md bg-red-200">
                                                        <td style="width:25%"><strong>Type</strong></td>
                                                        <td style="width:10%" class="cash text-black text-right"><strong>Cash</strong>
                                                        </td>
                                                        <td style="width:10%" class="text-right"><strong>Banking</strong>
                                                        </td>
                                                        <td style="width:10%" class="text-right"><strong>Mobile
                                                                Banking</strong></td>
                                                        <td style="width:10%" class="text-right"><strong>Total</strong></td>
                                                    </tr>

                                                    @php
                                                    $subTotalCashOut = 0 ;
                                                    $subTotalCashOutBanking = 0 ;
                                                    $subTotalCashOutMobileBanking = 0 ;
                                                    $subTotalCashOutAll = 0 ;

                                                    if($cashOut)
                                                            foreach ($cashOut as $row){
                                                                if(!empty($row->payment_method)){
                                                                $arrCashOut[$row->type][$row->payment_method->name][]=$row->paid;
                                                                }
                                                        }
                                                    @endphp   
                                                   
                                                    @if(!empty($arrCashOut))
                                                    @foreach ($arrCashOut as $category=>$paymentArray)
                                                        @php 
                                                            $cashPayment = isset($paymentArray['Cash']) ? array_sum($paymentArray['Cash']) : 0;
                                                            $bankPayment = isset($paymentArray['Banking']) ? array_sum($paymentArray['Banking']) : 0;
                                                            $mobilePayment = isset($paymentArray['Mobile Banking']) ? array_sum($paymentArray['Mobile Banking']) : 0;
                                                            $rowTotalPayment = $cashPayment + $bankPayment + $mobilePayment;
                                                            
                                                            $subTotalCashOut += $cashPayment;
                                                            $subTotalCashOutBanking += $bankPayment;
                                                            $subTotalCashOutMobileBanking += $mobilePayment;
                                                        @endphp
                                                    <tr
                                                        class="nav-item border border-solid border-gray-300 rounded-md bg-green-200">
                                                        <td>{{ ucwords(str_replace("_"," ",$category))}}</td>
                                                        <td class="cash text-right text-black">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($cashPayment)}}                                                            
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($bankPayment)}}  
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($mobilePayment)}}  
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($cashPayment+$bankPayment+$mobilePayment)}}
                                                        </td>
                                                    </tr>

                                                    @endforeach
                                                    @endif

                                                    @php
                                                        $expenseTotal = 0;
                                                
                                                        if(!empty($expenses)){
                                                            foreach ($expenses as $row){
                                                                $expenseTotal += $row->total;
                                                            }
                                                        } 
                                                    @endphp
                                                    <tr
                                                        class="nav-item border border-solid border-gray-300 rounded-md bg-red-200">
                                                        <td>Expense</td>
                                                        <td class="cash text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($expenseTotal)}}
                                                        </td>
                                                        <td class="text-right">
                                                            
                                                        </td>
                                                        <td class="text-right">

                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($expenseTotal)}}
                                                        </td>
                                                    </tr>


                                                    
                                                    <tr
                                                        class="cahsout_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
                                                        <td>Total Cash Out</td>
                                                        <td class="cash text-right text-black">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($subTotalCashOut+$expenseTotal)}}                                                            
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($subTotalCashOutBanking)}}  
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($subTotalCashOutMobileBanking)}}  
                                                        </td>
                                                        <td class="text-right">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($subTotalCashOut+$subTotalCashOutBanking+$subTotalCashOutMobileBanking)}}
                                                        </td>
                                                    </tr>

                                                    <tr
                                                        class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
                                                        <td>Cash In Hand</td>
                                                        <td class="cash text-right text-black">
                                                            {{App\Http\Controllers\SettingController::takaBDFormat($openning_balance+$subTotalCashIn-$subTotalCashOut-$expenseTotal)}}                                                            
                                                        </td>
                                                        <td class="text-right" colspan=3>
                                                            
                                                        </td>
                                                        
                                                    </tr>

                                                   
                                                

                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>





                            <!-- Sales Table Row with Accordion -->
                            <div>
                                <h2 class="text-xl text-gray-800 dark:text-gray-100 font-bold mb-6">Sales Details</h2>
                                <!-- Start -->
                                <div class="rounded-lg border border-gray-200 dark:border-gray-700/60">
                                    <div class="overflow-x-auto">
                                        <table class="table-auto w-full dark:text-gray-300 divide-y divide-gray-100 dark:divide-gray-700/60">
                                            <!-- Table body -->
                                            <tbody class="text-sm" x-data="{ open: false }">
                                                <!-- Row -->
                                                <tr>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Date</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Customer Name</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Total Items</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Product Price</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Extra Charge</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Total Amount</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap w-px">
                                                        <div class="flex items-center">
                                                            <button
                                                                class="text-gray-400 hover:text-gray-500 dark:text-gray-500 dark:hover:text-gray-400 transform"
                                                                :class="{ 'rotate-180': open }"
                                                                @click.prevent="open = !open"
                                                                :aria-expanded="open"
                                                                aria-controls="description-01"
                                                            >
                                                                <span class="sr-only">Menu</span>
                                                                <svg class="w-8 h-8 fill-current" viewBox="0 0 32 32">
                                                                    <path d="M16 20l-5.4-5.4 1.4-1.4 4 4 4-4 1.4 1.4z" />
                                                                </svg>
                                                            </button>
                                                        </div>
                                                    </td>                                                    
                                                </tr>

                                                @if($orderManagements)
                                                    @foreach($orderManagements as $item)
                                                        <tr id="description-01" role="region" x-show="open" x-cloak>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-left">{{$item->order_date}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-left">{{$item->customer_name}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center">{{$item->order_management_details_count}}</div>
                                                            </td>
                                                            
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center text-green-500 font-medium">{{App\Http\Controllers\SettingController::takaBDFormat($item->product_price_total)}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center text-green-500 font-medium">{{App\Http\Controllers\SettingController::takaBDFormat($item->service_price_total)}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center text-green-500 font-medium">{{App\Http\Controllers\SettingController::takaBDFormat($item->in_total)}}</div>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <!-- End -->
                            </div>

                        
                            
                            <!-- Sales Table Row with Accordion -->
                            <div>
                                <h2 class="mt-6 text-xl text-gray-800 dark:text-gray-100 font-bold mb-6">Purchase Details</h2>
                                <!-- Start -->
                                <div class="rounded-lg border border-gray-200 dark:border-gray-700/60">
                                    <div class="overflow-x-auto">
                                        <table class="table-auto w-full dark:text-gray-300 divide-y divide-gray-100 dark:divide-gray-700/60">
                                            <!-- Table body -->
                                            <tbody class="text-sm" x-data="{ open: false }">
                                                <!-- Row -->
                                                <tr>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Date</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Customer Name</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Total Items</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Product Price</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Extra Charge</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Total Amount</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap w-px">
                                                        <div class="flex items-center">
                                                            <button
                                                                class="text-gray-400 hover:text-gray-500 dark:text-gray-500 dark:hover:text-gray-400 transform"
                                                                :class="{ 'rotate-180': open }"
                                                                @click.prevent="open = !open"
                                                                :aria-expanded="open"
                                                                aria-controls="description-01"
                                                            >
                                                                <span class="sr-only">Menu</span>
                                                                <svg class="w-8 h-8 fill-current" viewBox="0 0 32 32">
                                                                    <path d="M16 20l-5.4-5.4 1.4-1.4 4 4 4-4 1.4 1.4z" />
                                                                </svg>
                                                            </button>
                                                        </div>
                                                    </td>                                                    
                                                </tr>

                                                @if($purchases)
                                                    @foreach($purchases as $item)
                                                        <tr id="description-01" role="region" x-show="open" x-cloak>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-left">{{$item->order_date}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-left">{{$item->supplier->supplier_name}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center">{{$item->purchase_details_count}}</div>
                                                            </td>
                                                            
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center text-green-500 font-medium">{{App\Http\Controllers\SettingController::takaBDFormat($item->raw_material_price_total)}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center text-green-500 font-medium">{{App\Http\Controllers\SettingController::takaBDFormat($item->extra_charge_total)}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center text-green-500 font-medium">{{App\Http\Controllers\SettingController::takaBDFormat($item->in_total)}}</div>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <!-- End -->
                            </div>
                            
                            <!-- Receive Payment Table Row with Accordion -->
                            <div>
                                <h2 class="mt-6 text-xl text-gray-800 dark:text-gray-100 font-bold mb-6">Receive Payments</h2>
                                <!-- Start -->
                                <div class="rounded-lg border border-gray-200 dark:border-gray-700/60">
                                    <div class="overflow-x-auto">
                                        <table class="table-auto w-full dark:text-gray-300 divide-y divide-gray-100 dark:divide-gray-700/60">
                                            <!-- Table body -->
                                            <tbody class="text-sm" x-data="{ open: false }">
                                                <!-- Row -->
                                                <tr>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Payment Date</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Type</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">From</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Payment Method</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Total</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap w-px">
                                                        <div class="flex items-center">
                                                            <button
                                                                class="text-gray-400 hover:text-gray-500 dark:text-gray-500 dark:hover:text-gray-400 transform"
                                                                :class="{ 'rotate-180': open }"
                                                                @click.prevent="open = !open"
                                                                :aria-expanded="open"
                                                                aria-controls="description-01"
                                                            >
                                                                <span class="sr-only">Menu</span>
                                                                <svg class="w-8 h-8 fill-current" viewBox="0 0 32 32">
                                                                    <path d="M16 20l-5.4-5.4 1.4-1.4 4 4 4-4 1.4 1.4z" />
                                                                </svg>
                                                            </button>
                                                        </div>
                                                    </td>                                                    
                                                </tr>
                                            
                                                @if($cashIn)
                                                    @foreach($cashIn as $item)
                                                        <tr id="description-01" role="region" x-show="open" x-cloak>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-left">{{$item->payment_date}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-left">{{ucwords($item->type)}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center">
                                                                @if($item->customer)
                                                                    {{$item->customer->customer_name}}
                                                                @endif

                                                                @if($item->lender)
                                                                    {{$item->lender->lender_name}}
                                                                @endif

                                                                @if($item->mobileOrBank)
                                                                    {{$item->mobileOrBank->name}}
                                                                @endif
                                                            </div>
                                                            </td>
                                                            
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center font-medium">{{$item->payment_method->name}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center text-green-500 font-medium">{{App\Http\Controllers\SettingController::takaBDFormat($item->paid)}}</div>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <!-- End -->
                            </div>

                        
                        <!-- Payment Table Row with Accordion -->
                            <div>
                                <h2 class="mt-6 text-xl text-gray-800 dark:text-gray-100 font-bold mb-6">Payments</h2>
                                <!-- Start -->
                                <div class="rounded-lg border border-gray-200 dark:border-gray-700/60">
                                    <div class="overflow-x-auto">
                                        <table class="table-auto w-full dark:text-gray-300 divide-y divide-gray-100 dark:divide-gray-700/60">
                                            <!-- Table body -->
                                            <tbody class="text-sm" x-data="{ open: false }">
                                                <!-- Row -->
                                                <tr>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Payment Date</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Type</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Pay To</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Payment Method</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Total</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap w-px">
                                                        <div class="flex items-center">
                                                            <button
                                                                class="text-gray-400 hover:text-gray-500 dark:text-gray-500 dark:hover:text-gray-400 transform"
                                                                :class="{ 'rotate-180': open }"
                                                                @click.prevent="open = !open"
                                                                :aria-expanded="open"
                                                                aria-controls="description-01"
                                                            >
                                                                <span class="sr-only">Menu</span>
                                                                <svg class="w-8 h-8 fill-current" viewBox="0 0 32 32">
                                                                    <path d="M16 20l-5.4-5.4 1.4-1.4 4 4 4-4 1.4 1.4z" />
                                                                </svg>
                                                            </button>
                                                        </div>
                                                    </td>                                                    
                                                </tr>
                                            
                                                @if($cashOut)
                                                    @foreach($cashOut as $item)
                                                        <tr id="description-01" role="region" x-show="open" x-cloak>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-left">{{$item->payment_date}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-left">{{ucwords($item->type)}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center">
                                                                @if($item->supplier)
                                                                    {{$item->supplier->supplier_name}}
                                                                @endif

                                                                @if($item->lender)
                                                                    {{$item->lender->lender_name}}
                                                                @endif                                                        
                                                            </div>
                                                            </td>
                                                            
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center font-medium">{{$item->payment_method->name}}</div>
                                                            </td>
                                                            <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                <div class="text-center text-green-500 font-medium">{{App\Http\Controllers\SettingController::takaBDFormat($item->paid)}}</div>
                                                            </td>
                                                        </tr>
                                                    @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <!-- End -->
                            </div>

                            <!-- Expenses Table Row with Accordion -->
                            <div>
                                <h2 class="mt-6 text-xl text-gray-800 dark:text-gray-100 font-bold mb-6">Expense Details</h2>
                                <!-- Start -->
                                <div class="rounded-lg border border-gray-200 dark:border-gray-700/60">
                                    <div class="overflow-x-auto">
                                        <table class="table-auto w-full dark:text-gray-300 divide-y divide-gray-100 dark:divide-gray-700/60">
                                            <!-- Table body -->
                                            <tbody class="text-sm" x-data="{ open: false }">
                                                <!-- Row -->
                                                <tr>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Date</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-left">Name</div>

                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                                        <div class="text-center">Amount</div>
                                                    </td>
                                                    <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap w-px">
                                                        <div class="flex items-center">
                                                            <button
                                                                class="text-gray-400 hover:text-gray-500 dark:text-gray-500 dark:hover:text-gray-400 transform"
                                                                :class="{ 'rotate-180': open }"
                                                                @click.prevent="open = !open"
                                                                :aria-expanded="open"
                                                                aria-controls="description-01"
                                                            >
                                                                <span class="sr-only">Menu</span>
                                                                <svg class="w-8 h-8 fill-current" viewBox="0 0 32 32">
                                                                    <path d="M16 20l-5.4-5.4 1.4-1.4 4 4 4-4 1.4 1.4z" />
                                                                </svg>
                                                            </button>
                                                        </div>
                                                    </td>                                                    
                                                </tr>
                                            
                                                @if($expenses)
                                                    @foreach($expenses as $row)
                                                        @foreach($row->expense_details as $item)
                                                            <tr id="description-01" role="region" x-show="open" x-cloak>
                                                                <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                    <div class="text-left">{{$row->entry_date}}</div>
                                                                </td>
                                                                <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                    <div class="text-left">{{ucwords($item->name)}}</div>
                                                                </td>                                                        

                                                                <td class="px-2 first:pl-5 last:pr-5 py-1 whitespace-nowrap">
                                                                    <div class="text-center text-green-500 font-medium">{{App\Http\Controllers\SettingController::takaBDFormat($item->amount)}}</div>
                                                                </td>
                                                            </tr>
                                                        @endforeach
                                                    @endforeach
                                                @endif
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <!-- End -->
                            </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    </x-card>


    @push('bottom_js')
    <script src="https://cdn.jsdelivr.net/npm/jquery-datatables-checkboxes@1.2.12/js/dataTables.checkboxes.min.js">
    </script>
    <script src="https://cdn.jsdelivr.net/npm/jquery-ui-dist@1.12.1/jquery-ui.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.0.19/dist/sweetalert2.min.js"></script>
    

    <script>
    $(".datepicker-1").datepicker({
        dateFormat: 'dd-mm-yy'
    });

    const paymentDatatableUrl = '{{ route('payments') }}';
    const receivePaymentDatatableUrl = '{{ route('receive-payments') }}';
    const salesDatatableUrl = '{{ route('sales_list') }}';
    const purchaseDatatableUrl = '{{ route('data purchases') }}';

    const expenseDatatableUrl = '{{ route('data expenses') }}';

    var paymentTable = '';
    var receivePaymentTable = '';
    var purchaseTable = '';
    var expensentTable = '';
    var payment_date = '{{$payment_date}}';

    const loadSummaryTable = (payment_date='') => {
        $('#ajaxPettyCashWrapper').html('');
        $.ajax({
            url: '{{ route('ajax-pettycash') }}',
            type: "POST",
            data: {
                payment_date: payment_date
            },
            success: function(result) {
                $('#ajaxPettyCashWrapper').html(result);
            }
        });
    }


    //loadSummaryTable(payment_date);


    $("#payment_date").change(function() {
        payment_date = $("#payment_date").val();
        
        loadSummaryTable(payment_date);

    });

    </script>
    @endpush

</x-app-layout>