<x-app-layout>

    @section('title')
        {{ __('translation.Edit Order') . ' #' . $orderManagement->id }}
    @endsection

    @push('top_css')
        <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
       
        <link rel="stylesheet" href="{{ asset('css/typeaheadjs.css') }}">
        <link rel="stylesheet" href="{{ asset('css/custom_css.css') }}">
    @endpush


    <div class="col-span-12">
        <x-card.card-default>
            <x-card.header>
                <x-card.back-button href="{{ route('service.index') }}" />
                <x-card.title>
                    {{ __('translation.Edit Order') . ' #' . $orderManagement->id }}
                </x-card.title>
            </x-card.header>
            <x-card.body>

                <x-alert-success class="mb-6 alert hidden" id="__alertSuccess">
                    <div id="__alertSuccessContent"></div>
                </x-alert-success>

                <x-alert-danger class="mb-6 alert hidden" id="__alertDanger">
                    <div id="__alertDangerContent"></div>
                </x-alert-danger>

                <form action="#" method="post" id="__formEditOrder" enctype="multipart/form-data">
                    @csrf

                    <input type="hidden" name="id" id="id" value="{{ $orderManagement->id }}">

                    <x-section.section>
                        <x-section.title>
                            {{ __('translation.Order Info') }}
                        </x-section.title>
                        <x-section.body>
                            <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-7 gap-4 sm:gap-x-8">
                                <div class="sm:col-span-2 lg:col-span-2">
                                    <x-label for="__shop_idEditOrder">
                                        {{ __('translation.Shop') }} <x-form.required-mark/>
                                    </x-label>
                                    <x-select name="shop_id" id="__shop_idEditOrder">
                                        <option value="{{ $orderManagement->shop_id }}" selected>
                                            {{ $orderManagement->shop->name }}
                                        </option>
                                    </x-select>
                                </div>
                                <div class="lg:col-span-2">
                                    <x-label for="__order_statusEditOrder">
                                        {{ __('translation.Order Status') }} <x-form.required-mark/>
                                    </x-label>
                                    <x-select name="order_status" id="__order_statusEditOrder">
                                        <option value="" disabled>
                                            {{ '- '.  __('translation.Select Order Status') .' -' }}
                                        </option>
                                        @foreach ($orderStatuses as $value => $text)
                                            <option value="{{ $value }}" @if ($orderManagement->order_status == $value) selected="selected" @endif>
                                                {{ $text }}
                                            </option>
                                        @endforeach
                                    </x-select>
                                </div>
                                <div class="lg:col-span-3">
                                    <x-label for="__order_statusEditOrder">
                                        Payment Status
                                    </x-label>

                                    <!-- if a new order created -->
                                     @if($orderManagement->payment_status == 0 AND empty($paymentDetailsOthers))

                                    <div class="mt-2">
                                        <strong>Unpaid</strong>
                                    </div>
                                    @endif

                                    @if($orderManagement->payment_status == 1)

                                    <div class="mt-2">
                                        <strong>Fully Paid</strong>
                                    </div>

                                    @if($paymentDetailsOthers->payment_method == 'Bank Transfer')
                                    <div class="mt-2">
                                        Payment Method : <strong>Bank Transfer</strong>
                                    </div>
                                    <div class="mt-2">
                                        Payment Date : <strong>{{date('d-M-Y', strtotime($paymentDetailsOthers->payment_date))}}</strong>
                                    </div>
                                    <div class="mt-2">
                                        Payment Time : <strong>{{$paymentDetailsOthers->payment_time}}</strong>
                                    </div>
                                    @endif

                                    @if($paymentDetailsOthers->payment_method != 'Bank Transfer' AND $paymentDetailsOthers->payment_method != 'manual')
                                    <div class="mt-2">
                                        Payment Method<strong>Ksher</strong>
                                    </div>
                                    <div class="mt-2">
                                        Payment Date<strong>{{$paymentDetailsOthers->payment_date}}</strong>
                                    </div>
                                    <div class="mt-2">
                                        Payment Time<strong>{{$paymentDetailsOthers->payment_date}}</strong>
                                    </div>
                                    @endif

                                    @if($orderManagement->payment_channel_from_ksher == 'manual')
                                    <div class="mt-4">
                                        <table class="table table-striped">
                                          <thead>
                                            <tr>
                                              <th scope="col">Payment Date</th>
                                              <th scope="col">Amount</th>
                                              <th scope="col">Method</th>
                                              <th scope="col">Confirmed?</th>
                                          </tr>
                                      </thead>
                                      <tbody>
                                        @if(isset($paymentDetailsAllManual))
                                        @foreach($paymentDetailsAllManual as $rows)
                                        <tr>
                                          <th scope="row">{{date('d-M-Y', strtotime($rows->payment_date))}}</th>
                                          <td>Tk. {{$rows->amount}}</td>
                                          <td>{{$rows->payment_method}}</td>
                                          <td>
                                            @if($rows->is_confirmed == 1)
                                            Yes
                                            @else
                                            No
                                            @endif
                                          </td>
                                      </tr>
                                      @endforeach
                                      @endif

                                  </tbody>
                              </table>
                                    </div>
                                    @endif
                                    @endif

                                    <!-- end for payment status = 1 -->

                                    <!-- start area for payment status = 0 -->

                                    @if($orderManagement->payment_status == 0)

                                    <input type="hidden" id="unpaid_total" value="{{$orderManagement->in_total - $manualPaymentSum}}">

                                    @if(isset($paymentDetailsOthers))
                                    @if($paymentDetailsOthers->payment_method == 'Bank Transfer')
                                    <div class="mt-2">
                                        Paid Amount: <strong>Tk. {{$paymentDetailsOthers->amount}}</strong><br>
                                        Pending Amount : <strong>Tk. {{$orderManagement->in_total - $paymentDetailsOthers->amount}}</strong>
                                    </div>
                                    <div class="mt-2">
                                        <table class="table table-striped">
                                          <thead>
                                            <tr>
                                              <th scope="col">Payment Date</th>
                                              <th scope="col">Amount</th>
                                              <th scope="col">Method</th>
                                              <th scope="col">Confirmed?</th>
                                          </tr>
                                      </thead>
                                      <tbody>
                                        @if(isset($paymentDetailsOthers))

                                        <tr>
                                          <th scope="row">{{date('d-M-Y', strtotime($paymentDetailsOthers->payment_date))}}</th>
                                          <td>Tk. {{$paymentDetailsOthers->amount}}</td>
                                          <td>{{$paymentDetailsOthers->payment_method}}</td>
                                          <td>
                                            @if($paymentDetailsOthers->is_confirmed == 1)
                                            Yes
                                            @else
                                            No
                                            @endif
                                          </td>
                                      </tr>

                                      @endif

                                  </tbody>
                                </table>
                                    </div>

                                    @endif
                                    @endif


                                    @if(empty($paymentDetailsOthers) || ($paymentDetailsOthers->payment_method != 'Bank Transfer'))
                                      <div class="mt-2">
                                        Paid Amount: <strong>Tk. {{$manualPaymentSum}}</strong><br>
                                        Pending Amount : <strong>Tk. {{$orderManagement->in_total - $manualPaymentSum}}</strong>
                                    </div>
                                    <div class="mt-2">
                                        <table class="table table-striped">
                                          <thead>
                                            <tr>
                                              <th scope="col">Payment Date</th>
                                              <th scope="col">Amount</th>
                                              <th scope="col">Method</th>
                                              <th scope="col">Confirmed?</th>
                                          </tr>
                                      </thead>
                                      <tbody>
                                        @if(isset($paymentDetailsAllManual))
                                        @foreach($paymentDetailsAllManual as $rows)
                                        <tr>
                                          <th scope="row">{{date('d-M-Y', strtotime($rows->payment_date))}}</th>
                                          <td>Tk. {{$rows->amount}}</td>
                                          <td>{{$rows->payment_method}}</td>
                                          <td>
                                            @if($rows->is_confirmed == 1)
                                            Yes
                                            @else
                                            No
                                            @endif
                                          </td>
                                      </tr>
                                      @endforeach
                                      @endif

                                  </tbody>
                              </table>
                                    </div>
                                    <a id="make_payment" class="mt-2 h-8 relative top-[0.10rem] inline-flex items-center justify-center px-3 py-2 bg-green-500 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-green-600 active:bg-green-600 outline-none focus:outline-none focus:border-green-600 focus:ring ring-green-300 disabled:opacity-25 transition ease-in-out duration-150"  color="green">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="h-4 w-4" viewBox="0 0 20 20" fill="currentColor">
                                                    <path d="M11 3a1 1 0 100 2h2.586l-6.293 6.293a1 1 0 101.414 1.414L15 6.414V9a1 1 0 102 0V4a1 1 0 00-1-1h-5z"></path>
                                                    <path d="M5 5a2 2 0 00-2 2v8a2 2 0 002 2h8a2 2 0 002-2v-3a1 1 0 10-2 0v3H5V7h3a1 1 0 000-2H5z"></path>
                                                </svg>
                                                <span class="ml-2">
                                                    Make Payment
                                                </span>
                                          </a>
                                    @endif
                                    @endif

                                </div>
                                <div class="sm:col-span-2 lg:col-span-3">
                                    <x-label for="order_status">
                                        {{ __('translation.Public/Buyer URL') }}
                                    </x-label>
                                    <div>
                                        <x-form.textarea class="focus:outline-none bg-gray-50" readonly>
                                            {{ route('order-management.public-url', [ 'service_id' => $orderManagement->service_id ]) }}
                                        </x-form.textarea>
                                        <div>
                                            <x-button-sm type="button" color="blue" id="__btnCopyBuyerLink" title="Copy Public URL" data-clipboard-text="{{ route('order-management.public-url', [ 'service_id' => $orderManagement->service_id ]) }}">
                                                <svg xmlns="http://www.w3.org/2000/svg" class="h-4 w-4" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8 16H6a2 2 0 01-2-2V6a2 2 0 012-2h8a2 2 0 012 2v2m-6 12h8a2 2 0 002-2v-8a2 2 0 00-2-2h-8a2 2 0 00-2 2v8a2 2 0 002 2z" />
                                                </svg>
                                                <span class="ml-2">
                                                    Copy URL
                                                </span>
                                            </x-button-sm>
                                            <x-button-link-sm href="{{ route('order-management.public-url', [ 'service_id' => $orderManagement->service_id ]) }}" target="_blank" color="green">
                                                <svg xmlns="http://www.w3.org/2000/svg" class="h-4 w-4" viewBox="0 0 20 20" fill="currentColor">
                                                    <path d="M11 3a1 1 0 100 2h2.586l-6.293 6.293a1 1 0 101.414 1.414L15 6.414V9a1 1 0 102 0V4a1 1 0 00-1-1h-5z" />
                                                    <path d="M5 5a2 2 0 00-2 2v8a2 2 0 002 2h8a2 2 0 002-2v-3a1 1 0 10-2 0v3H5V7h3a1 1 0 000-2H5z" />
                                                </svg>
                                                <span class="ml-2">
                                                    Open URL
                                                </span>
                                            </x-button-link-sm>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </x-section.body>
                    </x-section.section>

                    <x-section.section>
                        <x-section.title>
                            {{ __('translation.Channel Info') }}
                        </x-section.title>
                        <x-section.body>
                            <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-4 sm:gap-x-8">
                                <div>
                                    <x-label for="channel_id">
                                        {{ __('translation.Channel Name') }} <x-form.required-mark/>
                                    </x-label>
                                    <div class="w-full mt-2 grid grid-cols-6 gap-4">
                                        @foreach ($channels as $idx => $channel)
                                            @if ($orderManagement->channel_id == $channel->id)
                                                <label for="channel_{{ $channel->id }}" class="channel-item block w-10 h-10 p-1 rounded-md border border-solid border-blue-500 hover:border-blue-500 cursor-pointer transition duration-300" data-name="{{ $channel->name }}">
                                                    <input type="radio" name="channel_id" id="channel_{{ $channel->id }}" value="{{ $channel->id }}" class="hidden" checked>
                                                    <div class="w-full h-full rounded-md bg-no-repeat bg-cover" style="background-image: url('{{ $channel->image_url }}')"></div>
                                                </label>
                                            @else
                                                <label for="channel_{{ $channel->id }}" class="channel-item block w-10 h-10 p-1 rounded-md border border-solid border-gray-300 hover:border-blue-500 cursor-pointer transition duration-300" data-name="{{ $channel->name }}">
                                                    <input type="radio" name="channel_id" id="channel_{{ $channel->id }}" value="{{ $channel->id }}" class="hidden">
                                                    <div class="w-full h-full rounded-md bg-no-repeat bg-cover" style="background-image: url('{{ $channel->image_url }}')"></div>
                                                </label>
                                            @endif
                                        @endforeach
                                    </div>
                                    <div class="mt-3">
                                        <span class="text-gray-500">Selected Channel : </span>
                                        <span class="font-bold text-blue-500" id="__selectedChannelOutput">
                                            {{ $orderManagement->channels->name ?? '' }}
                                        </span>
                                    </div>
                                </div>
                                <div>
                                    <x-label for="contact_name">
                                        {{ __('translation.Channel ID') }} <x-form.required-mark/>
                                    </x-label>
                                    <x-input type="text" name="contact_name" id="contact_name" value="{{ $orderManagement->contact_name }}" />
                                </div>
                            </div>
                        </x-section.body>
                    </x-section.section>

                    <x-section.section>
                        <x-section.title>
                            {{ __('translation.Customer Info') }}
                            <small class="ml-2 text-yellow-500">
                                {{ __('translation.Search by phone number first') }}
                            </small>
                        </x-section.title>
                        <x-section.body>
                            <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-4 sm:gap-x-8">
                                <div>
                                    <x-label for="search_contact_phone">
                                        {{ __('translation.Search Phone Number') }} <x-form.required-mark/>
                                    </x-label>
                                    <div class="flex flex-row items-center justify-between">
                                        <x-input type="text" id="search_contact_phone" class="rounded-tr-none rounded-br-none" value="{{ $orderManagement->customer->contact_phone }}" />
                                        <x-button type="button" color="blue" class="rounded-tl-none rounded-bl-none relative" id="__btnContactPhone">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
                                                <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"/>
                                            </svg>
                                        </x-button>
                                    </div>
                                    <div class="mt-2 hidden" id="__fetchCustomerResultMessage">
                                        <span class="font-bold"></span>
                                    </div>
                                </div>
                                <div class="sm:col-span-2 grid grid-cols-1 sm:grid-cols-2 gap-4 sm:gap-x-8">
                                    <div id="__customerNameWrapper">
                                        <x-label for="__customer_nameEditOrder">
                                            {{ __('translation.Customer Name') }} <x-form.required-mark/>
                                        </x-label>
                                        <x-input type="text" name="customer_name" id="__customer_nameEditOrder" class="bg-gray-200" value="{{ $orderManagement->customer->customer_name }}" readonly />
                                    </div>
                                    <div id="__contactPhoneWrapper">
                                        <x-label for="__contact_phoneEditOrder">
                                            {{ __('translation.Phone Number') }} <x-form.required-mark/>
                                        </x-label>
                                        <x-input type="text" name="contact_phone" id="__contact_phoneEditOrder" class="bg-gray-200" value="{{ $orderManagement->customer->contact_phone }}" readonly />
                                    </div>
                                </div>
                            </div>
                        </x-section.body>
                    </x-section.section>

                    <x-section.section class="xl:mb-12">
                        <x-section.title>
                            {{ __('translation.Shipping Address') }}
                        </x-section.title>
                        <x-section.body>
                            <div class="grid grid-cols-1 md:grid-cols-2 gap-4 md:gap-x-8">
                                <div>
                                    <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-1 lg:grid-cols-2 gap-4 sm:gap-x-8">
                                        <div>
                                            <x-label for="__shipping_nameEditOrder">
                                                {{ __('translation.Customer Name') }} <x-form.required-mark/>
                                            </x-label>
                                            <x-input type="text" name="shipping_name" id="__shipping_nameEditOrder" value="{{ $orderManagement->shipping_name }}" />
                                        </div>
                                        <div>
                                            <x-label for="__shipping_phoneEditOrder">
                                                {{ __('translation.Phone Number') }} <x-form.required-mark/>
                                            </x-label>
                                            <x-input type="text" name="shipping_phone" id="__shipping_phoneEditOrder" value="{{ $orderManagement->shipping_phone }}" />
                                        </div>
                                        <div class="sm:col-span-2 md:col-span-1 lg:col-span-2">
                                            <x-label for="__addressEditOrder">
                                                {{ __('translation.Shipping Address') }} <x-form.required-mark/>
                                            </x-label>
                                            <x-form.textarea name="shipping_address" id="__addressEditOrder" rows="4">{{ $orderManagement->shipping_address }}</x-form.textarea>
                                        </div>
                                    </div>
                                </div>
                                <div>
                                    <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-1 lg:grid-cols-2 gap-4 sm:gap-x-8">
                                        <div>
                                            <x-label for="__shipping_districtEditOrder">
                                                {{ __('translation.District') }} <x-form.required-mark/>
                                            </x-label>
                                            <x-input type="text" name="shipping_district" id="__shipping_districtEditOrder" value="{{ $orderManagement->shipping_district }}" />
                                        </div>
                                        <div>
                                            <x-label for="__shipping_sub_districtEditOrder">
                                                {{ __('translation.Sub District') }} <x-form.required-mark/>
                                            </x-label>
                                            <x-input type="text" name="shipping_sub_district" id="__shipping_sub_districtEditOrder" value="{{ $orderManagement->shipping_sub_district }}" />
                                        </div>
                                        <div class="sm:col-span-2 md:col-span-1 lg:col-span-2">
                                            <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-1 lg:grid-cols-2 gap-4 sm:gap-x-8">
                                                <div>
                                                    <x-label for="__shipping_provinceEditOrder">
                                                        {{ __('translation.Province') }} <x-form.required-mark/>
                                                    </x-label>
                                                    <x-input type="text" name="shipping_province" id="__shipping_provinceEditOrder" value="{{ $orderManagement->shipping_province }}" />
                                                </div>
                                                <div>
                                                    <x-label for="__shipping_postcodeEditOrder">
                                                        {{ __('translation.Postal Code') }} <x-form.required-mark/>
                                                    </x-label>
                                                    <x-input type="number" name="shipping_postcode" id="__shipping_postcodeEditOrder" value="{{ $orderManagement->shipping_postcode }}" />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </x-section.body>
                    </x-section.section>

                    <x-section.section>
                        <x-section.title-with-button titleText="{{ __('translation.Products') }}">
                            <x-button-sm type="button" color="red" class="ml-3 relative -top-1" id="__btnClearProductList">
                                {{ __('translation.Reset') }}
                            </x-button-sm>
                        </x-section.title-with-button>
                        <x-section.body>
                            <div class="mb-6 flex flex-row items-center justify-between">
                                <div class="w-full sm:w-full">
                                    <x-input type="text" id="__product_id_EditOrder" placeholder="Enter Product Name or Code" autocomplete="off" />
                                </div>
                                <div class="w-auto mx-4 lg:mx-8 sm:w-1/6 lg:w-auto text-center">
                                    <span class="font-bold text-gray-500">OR</span>
                                </div>
                                <div class="w-auto sm:w-2/5 lg:w-1/4 xl:w-1/5">
                                    <div class="flex items-center justify-center sm:justify-end sm:relative sm:top-1">
                                        <x-button type="button" color="blue" id="__btnFindByGrid" class="h-10 relative top-[0.10rem] sm:-top-1 lg:w-full" title="{{ __('translation.Find By Grid') }}">
                                            <svg class="w-4 h-4" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2H6a2 2 0 01-2-2V6zM14 6a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2h-2a2 2 0 01-2-2V6zM4 16a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2H6a2 2 0 01-2-2v-2zM14 16a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2h-2a2 2 0 01-2-2v-2z"></path>
                                            </svg>
                                            <span class="whitespace-nowrap hidden sm:block sm:ml-2">
                                                {{ __('translation.Find By Grid') }}
                                            </span>
                                        </x-button>
                                    </div>
                                </div>
                            </div>

                            <hr class="w-full border border-dashed border-r-0 border-b-0 border-l-0 border-blue-300 mb-5">

                            @if ($orderManagement->service_details->isNotEmpty())
                                <div id="__productListWrapper">
                                    @foreach ($orderManagement->service_details as $detail)
                                        <div class="flex flex-row mb-5 py-4 border border-solid border-t-0 border-r-0 border-l-0 border-gray-200" id="__row_ProductItem_{{ $detail->product->part_no }}">
                                            <input type="hidden" name="product_id[]" value="{{ !empty($detail->product_id) ? $detail->product_id : 0 }}" class="product-id__field" data-product-code="{{ $detail->product->part_no }}">
                                            <input type="hidden" name="product_price[]" value="{{ !empty($detail->price) ? $detail->price : 0 }}" class="product-price__field" data-product-code="{{ $detail->product->part_no }}">
                                            <input type="hidden" name="product_discount[]" value="{{ !empty($detail->discount_price) ? $detail->discount_price : 0 }}" min="0" max="{{ $detail->price }}" step="0.001" class="product-discount__field" data-product-code="{{ $detail->product->part_no }}">
                                            <input type="hidden" name="product_weight[]" value="{{ !empty($detail->product->weight) ? $detail->product->weight : 0 }}" class="product-weight__field" data-product-code="{{ $detail->product->part_no }}">

                                            <div class="w-1/4 sm:w-1/4 md:w-1/5 lg:w-1/6 mb-4 md:mb-0">
                                                <div class="mb-4">
                                                    <img src="{{ $detail->product->image_url }}" alt="{{ $detail->product->part_name }}" class="w-full h-14 sm:h-24 rounded-md">
                                                </div>
                                                <div>
                                                    <x-button-sm type="button" color="red" class="block w-full" data-code="{{ $detail->product->part_no }}" onClick="removeProductItem(this)">
                                                        <span class="block sm:hidden">
                                                            <i class="fas fa-times"></i>
                                                        </span>
                                                        <span class="hidden sm:block">
                                                            {{ __('translation.Remove') }}
                                                        </span>
                                                    </x-button>
                                                </div>
                                            </div>
                                            <div class="w-3/4 sm:w-3/4 md:w-4/5 lg:w-5/6 ml-4 sm:ml-6">
                                                <div class="grid grid-cols-1 sm:grid-cols-5 gap-4 sm:gap-x-8 lg:pt-1">
                                                    <div class="sm:col-span-3">
                                                        <div class="mb-2 xl:mb-4 lg:col-span-2 xl:col-span-3">
                                                            <label class="hidden lg:block mb-0">
                                                                {{ __('translation.Product Name') }} :
                                                            </label>
                                                            <p class="font-bold">
                                                                {{ $detail->product->part_name }} <br>
                                                                <span class="text-gray-700">{{ $detail->product->part_no }}</span>
                                                            </p>
                                                        </div>
                                                        <div>
                                                            <div class="grid grid-cols-1 lg:grid-cols-2 gap-2 lg:gap-x-8">
                                                                <div>
                                                                    <label class="mb-0 lg:block">
                                                                        {{ __('translation.Price') }} :
                                                                    </label>

                                                                    @if ($detail->discount_price == 0)
                                                                        <span class="font-bold product-old-price">
                                                                            {{ currency_symbol('BDT') }}
                                                                            {{ currency_number($detail->price, 3) }}
                                                                        </span>
                                                                        <button type="button" class="ml-3 bg-transparent border-0 outline-none focus:outline-none font-bold text-blue-500 btn-product-discount" data-product-code="{{ $detail->product->part_no }}">
                                                                            {{ __('translation.Discount Price') }}
                                                                        </button>
                                                                    @endif

                                                                    @if ($detail->discount_price > 0)
                                                                        @php
                                                                            $displayedDiscountPrice = $detail->price - $detail->discount_price;
                                                                        @endphp

                                                                        <span class="font-bold product-old-price line-through">
                                                                            {{ currency_symbol('BDT') }}
                                                                            {{ currency_number($detail->price, 3) }}
                                                                        </span>
                                                                        <button type="button" class="ml-3 bg-transparent border-0 outline-none focus:outline-none font-bold text-blue-500 btn-product-discount" data-product-code="{{ $detail->product->part_no }}">
                                                                            {{ __('translation.Discount Price') . ' : ' . currency_symbol('BDT') . ' ' . currency_number($displayedDiscountPrice, 3) }}
                                                                        </button>
                                                                    @endif
                                                                </div>
                                                                <div>
                                                                    <label class="mb-0">
                                                                        {{ __('translation.Available Qty') }} :
                                                                    </label>
                                                                    <span class="font-bold lg:block">
                                                                        {{ number_format($detail->product->getQuantity->quantity) }}
                                                                    </span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="sm:col-span-2 xl:w-3/5">
                                                        <div class="grid grid-cols-2 sm:grid-cols-1 gap-3 sm:gap-4">
                                                            <div>
                                                                <label class="mb-0">
                                                                    {{ __('translation.Order Qty') }} <x-form.required-mark/> :
                                                                </label>
                                                                <x-input type="number" name="product_qty[]" value="0" min="1" class="product-qty__field" data-product-code="{{ $detail->product->part_no }}" value="{{ $detail->quantity }}" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            @endif

                            <div id="__noProductWrapper" @if ($orderManagement->service_details->isNotEmpty()) style="display: none" @endif>
                                <div class="w-full py-4 rounded-lg text-center">
                                    <span class="font-bold text-base text-gray-500">
                                        --- {{ __('translation.No Product Added') }} ---
                                    </span>
                                </div>
                            </div>
                        </x-section.body>
                    </x-section.section>

                    <x-section.section>
                        <x-section.title>
                            {{ __('translation.Shipping Methods') }}
                        </x-section.title>
                        <x-section.body>
                            <div id="__shippingMethodOuterWrapper">

                                <div id="__shippingMethodButtonWrapper" class="mb-7">
                                    <x-button-sm type="button" color="blue" id="__btnAddNewShippingMethod">
                                        <i class="fas fa-plus"></i>
                                        <span class="ml-2">
                                            Add New
                                        </span>
                                    </x-button-sm>
                                </div>

                                <div id="__shippingMethodListWrapper">
                                    @php
                                        $shippingItemId = 1;
                                    @endphp
                                    @foreach ($availableShippingCosts as $shippingCost)
                                        <div class="mb-4 pb-3 border border-t-0 border-r-0 border-l-0 border-dashed border-gray-300" id="__shippingMethodItem_{{ $shippingItemId }}">
                                            <div class="flex flex-row items-start">
                                                <div>
                                                    <input type="radio" name="shipping_method_radio[]" id="__shipping_method_{{ $shippingItemId }}" class="shipping-method__id-radio-field" data-id="{{ $shippingItemId }}" disabled>
                                                    <input type="hidden" name="shipping_method_id[]" value="{{ $shippingCost->id }}" class="shipping-method__id-input--field" data-id="{{ $shippingItemId }}">
                                                    <input type="hidden" name="shipping_method_name[]" value="{{ $shippingCost->name }} ({{ $shippingCost->shipper->name }})" class="shiping-method__name-field" disabled>
                                                    <input type="hidden" name="shipping_method_price[]" value="{{ $shippingCost->price }}" class="shiping-method__price-field" disabled>
                                                    <input type="hidden" name="shipping_method_discount[]" value="0" class="shiping-method__discount-field" disabled>
                                                    <input type="hidden" name="shipping_method_selected[]" value="0" class="shiping-method__selected-input-field" disabled>
                                                </div>
                                                <div class="ml-2">
                                                    <div class="flex flex-col lg:flex-row lg:items-center shipping-method__content-wrapper">
                                                        <div class="flex flex-col sm:flex-row sm:items-center">
                                                            <div class="mb-2 sm:mb-0">
                                                                <label for="__shipping_method_{{ $shippingItemId }}" class="ml-1">
                                                                    {{ $shippingCost->name }} ({{ $shippingCost->shipper->name }})
                                                                </label>
                                                            </div>
                                                            <div class="hidden sm:block ml-2">
                                                                -
                                                            </div>
                                                            <div class="sm:ml-2">
                                                                <span class="font-bold shipping-method__price-display">
                                                                    {{ currency_symbol('BDT') }} {{ currency_number($shippingCost->price, 3) }}
                                                                </span>
                                                                <button type="button" class="ml-2 bg-transparent border-0 outline-none focus:outline-none font-bold text-blue-500 shipping-method__btn-product-discount" data-id="{{ $shippingItemId }}">
                                                                    {{ __('translation.Discount Cost') }}
                                                                </button>
                                                            </div>
                                                        </div>
                                                        <div class="hidden lg:block ml-6">
                                                            -
                                                        </div>
                                                        <div class="sm:ml-2">
                                                            <div class="flex flex-row items-center mt-4 lg:mt-0">
                                                                <div class="mr-4">
                                                                    <label class="mb-0 font-bold">
                                                                        Public Page :
                                                                    </label>
                                                                </div>
                                                                <div>
                                                                    <div class="mr-4 relative top-[0.10rem]">
                                                                        <input type="checkbox" id="__shiping_method_enable_checkbox_{{ $shippingItemId }}" class="shiping-method__enable-checkbox-field" data-id="{{ $shippingItemId }}">
                                                                        <label for="__shiping_method_enable_checkbox_{{ $shippingItemId }}" class="mb-0 ml-1">
                                                                            {{ __('translation.Enable') }}
                                                                        </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        @php
                                            $shippingItemId++;
                                        @endphp
                                    @endforeach
                                </div>

                                <div id="__shippingMethodEnabledListWrapper">
                                    @foreach ($orderManagement->customer_shipping_methods as $customerShipping)
                                        @if (!empty($customerShipping->shipping_cost->shipper->name))
                                            <div class="mb-4 pb-3 border border-t-0 border-r-0 border-l-0 border-dashed border-gray-300" id="__shippingMethodItem_{{ $shippingItemId }}">
                                                <div class="flex flex-row items-start">
                                                    <div>
                                                        <input type="radio" name="shipping_method_radio[]" id="__shipping_method_{{ $shippingItemId }}" class="shipping-method__id-radio-field" value="0" data-id="{{ $shippingItemId }}" @if ($customerShipping->is_selected == $isSelectedShippingMethod) checked @endif>
                                                        <input type="hidden" name="shipping_method_id[]" value="{{ $customerShipping->shipping_cost->id }}" class="shipping-method__id-input--field" data-id="{{ $shippingItemId }}">
                                                        <input type="hidden" name="shipping_method_name[]" value="{{ $customerShipping->shipping_cost->name }} ({{ $customerShipping->shipping_cost->shipper->name }})" class="shiping-method__name-field">
                                                        <input type="hidden" name="shipping_method_price[]" value="{{ $customerShipping->price }}" class="shiping-method__price-field">
                                                        <input type="hidden" name="shipping_method_discount[]" value="{{ $customerShipping->discount_price }}" class="shiping-method__discount-field">
                                                        <input type="hidden" name="shipping_method_selected[]" value="{{ $customerShipping->is_selected }}" class="shiping-method__selected-input-field">
                                                    </div>
                                                    <div class="ml-2">
                                                        <div class="flex flex-col lg:flex-row lg:items-center shipping-method__content-wrapper">
                                                            <div class="flex flex-col sm:flex-row sm:items-center">
                                                                <div class="mb-2 sm:mb-0">
                                                                    <label for="__shipping_method_{{ $shippingItemId }}" class="ml-1">
                                                                        {{ $customerShipping->shipping_cost->name }} ({{ $customerShipping->shipping_cost->shipper->name }})
                                                                    </label>
                                                                </div>
                                                                <div class="hidden sm:block ml-6">
                                                                    -
                                                                </div>
                                                                <div class="sm:ml-2">
                                                                    @if ($customerShipping->discount_price == 0)
                                                                        <span class="font-bold shipping-method__price-display">
                                                                            {{ currency_symbol('BDT') }} {{ currency_number($customerShipping->price, 3) }}
                                                                        </span>
                                                                        <button type="button" class="ml-2 bg-transparent border-0 outline-none focus:outline-none font-bold text-blue-500 shipping-method__btn-product-discount" data-id="{{ $shippingItemId }}">
                                                                            {{ __('translation.Discount Cost') }}
                                                                        </button>
                                                                    @endif

                                                                    @if ($customerShipping->discount_price > 0)
                                                                        @php
                                                                            $discountPrice = $customerShipping->price - $customerShipping->discount_price;
                                                                        @endphp
                                                                        <span class="font-bold line-through shipping-method__price-display">
                                                                            {{ currency_symbol('BDT') }} {{ currency_number($customerShipping->price, 3) }}
                                                                        </span>
                                                                        <button type="button" class="ml-2 bg-transparent border-0 outline-none focus:outline-none font-bold text-blue-500 shipping-method__btn-product-discount" data-id="{{ $shippingItemId }}">
                                                                            {{ __('translation.Discount Cost') . ' : ' . currency_symbol('BDT') . ' ' . currency_number($discountPrice, 3) }}
                                                                        </button>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                            <div class="hidden lg:block ml-6">
                                                                -
                                                            </div>
                                                            <div class="sm:ml-2">
                                                                <div class="flex flex-row items-center mt-4 lg:mt-0">
                                                                    <div class="mr-4">
                                                                        <label class="mb-0 font-bold">
                                                                            Public Page :
                                                                        </label>
                                                                    </div>
                                                                    <div>
                                                                        <div class="mr-4 relative top-[0.10rem]">
                                                                            <input type="checkbox" id="__shiping_method_enable_checkbox_{{ $shippingItemId }}" class="shiping-method__enable-checkbox-field" data-id="{{ $shippingItemId }}" checked>
                                                                            <label for="__shiping_method_enable_checkbox_{{ $shippingItemId }}" class="mb-0 ml-1">
                                                                                {{ __('translation.Enable') }}
                                                                            </label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @else
                                            <div class="mb-4 pb-3 border border-t-0 border-r-0 border-l-0 border-dashed border-gray-300" id="__shippingMethodItem_{{ $shippingItemId }}">
                                                <div class="flex flex-row items-start">
                                                    <div>
                                                        <input type="radio" name="shipping_method_radio[]" id="__shipping_method_{{ $shippingItemId }}" class="shipping-method__id-radio-field" data-id="{{ $shippingItemId }}"  @if ($customerShipping->is_selected == $isSelectedShippingMethod) checked @endif>
                                                        <input type="hidden" name="shipping_method_id[]" value="0" class="shipping-method__id-input--field" data-id="{{ $shippingItemId }}">
                                                        <input type="hidden" name="shipping_method_name[]" value="{{ $customerShipping->shipping_cost->name }}" class="shiping-method__name-field">
                                                        <input type="hidden" name="shipping_method_price[]" value="{{ $customerShipping->price }}" class="shiping-method__price-field">
                                                        <input type="hidden" name="shipping_method_discount[]" value="{{ $customerShipping->discount_price }}" class="shiping-method__discount-field">
                                                        <input type="hidden" name="shipping_method_selected[]" value="{{ $customerShipping->is_selected }}" class="shiping-method__selected-input-field">
                                                    </div>
                                                    <div class="ml-2">
                                                        <div class="flex flex-col lg:flex-row lg:items-center shipping-method__content-wrapper">
                                                            <div class="flex flex-col sm:flex-row sm:items-center">
                                                                <div class="mb-2 sm:mb-0">
                                                                    <label for="__shipping_method_{{ $shippingItemId }}" class="ml-1">
                                                                        {{ $customerShipping->shipping_cost->name }}
                                                                    </label>
                                                                </div>
                                                                <div class="hidden sm:block ml-6">
                                                                    -
                                                                </div>
                                                                <div class="sm:ml-2">
                                                                    @if ($customerShipping->discount_price == 0)
                                                                        <span class="font-bold shipping-method__price-display">
                                                                            {{ currency_symbol('BDT') }} {{ currency_number($customerShipping->price, 3) }}
                                                                        </span>
                                                                        <button type="button" class="ml-2 bg-transparent border-0 outline-none focus:outline-none font-bold text-blue-500 shipping-method__btn-product-discount" data-id="{{ $shippingItemId }}">
                                                                            {{ __('translation.Discount Cost') }}
                                                                        </button>
                                                                    @endif

                                                                    @if ($customerShipping->discount_price > 0)
                                                                        @php
                                                                            $discountPrice = $customerShipping->price - $customerShipping->discount_price;
                                                                        @endphp
                                                                        <span class="font-bold line-through shipping-method__price-display">
                                                                            {{ currency_symbol('BDT') }} {{ currency_number($customerShipping->price, 3) }}
                                                                        </span>
                                                                        <button type="button" class="ml-2 bg-transparent border-0 outline-none focus:outline-none font-bold text-blue-500 shipping-method__btn-product-discount" data-id="{{ $shippingItemId }}">
                                                                            {{ __('translation.Discount Cost') . ' : ' . currency_symbol('BDT') . ' ' . currency_number($discountPrice, 3) }}
                                                                        </button>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                            <div class="hidden lg:block ml-6">
                                                                -
                                                            </div>
                                                            <div class="sm:ml-2">
                                                                <div class="flex flex-row items-center mt-4 lg:mt-0">
                                                                    <div class="mr-4">
                                                                        <label class="mb-0 font-bold">
                                                                            Public Page :
                                                                        </label>
                                                                    </div>
                                                                    <div>
                                                                        <div class="mr-4 relative top-[0.10rem]">
                                                                            <input type="checkbox" id="__shiping_method_enable_checkbox_{{ $shippingItemId }}" class="shiping-method__enable-checkbox-field" data-id="{{ $shippingItemId }}" checked>
                                                                            <label for="__shiping_method_enable_checkbox_{{ $shippingItemId }}" class="mb-0 ml-1">
                                                                                {{ __('translation.Enable') }}
                                                                            </label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="hidden lg:block ml-3">
                                                                -
                                                            </div>
                                                            <div class="lg:ml-2 mt-3 lg:mt-0">
                                                                <button type="button" class="ml-2 bg-transparent border-0 outline-none focus:outline-none font-bold text-red-500 shipping-method__btn-remove-item" data-id="{{ $shippingItemId }}">
                                                                    {{ __('translation.Remove') }}
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @endif

                                        @php
                                            $shippingItemId++;
                                        @endphp
                                    @endforeach
                                </div>

                                <div id="__noShippingMethodsWrapper" style="display: none">
                                    <div class="w-full py-4 rounded-lg text-center">
                                        <span class="font-bold text-base text-gray-500">
                                            --- {{ __('translation.No Shipping Methods Available') }} ---
                                        </span>
                                    </div>
                                </div>

                            </div>
                        </x-section.body>
                    </x-section.section>

                    <x-section.section>
                        <x-section.title>
                            {{ __('translation.Cart Totals') }}
                        </x-section.title>
                        <x-section.body>
                            <div class="w-full lg:w-1/2 lg:mx-auto">
                                <table class="w-full -mt-1">
                                    <tbody>
                                        <tr>
                                            <td class="pr-3 py-1">
                                                Sub Total
                                            </td>
                                            <td class="py-1">
                                                <span class="text-white">-</span>
                                                <span class="font-bold">
                                                    {{ currency_symbol('BDT') }}
                                                </span>
                                            </td>
                                            <td class="pl-3 py-1 text-right">
                                                <span class="font-bold" id="__subTotalCurrency">
                                                    {{ currency_number($orderManagement->product_price_total, 3) }}
                                                </span>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pr-3 py-1">
                                                Shipping Cost
                                            </td>
                                            <td class="py-1">
                                                <span class="text-white">-</span>
                                                <span class="font-bold">
                                                    {{ currency_symbol('BDT') }}
                                                </span>
                                            </td>
                                            <td class="pl-3 py-1 text-right">
                                                <span class="font-bold" id="__shippingCostCurrency">
                                                    {{ currency_number($orderManagement->shipping_cost, 3) }}
                                                </span>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="pr-3 py-1">
                                                Discount
                                            </td>
                                            <td class="py-1">
                                                <span class="text-gray-900">-</span>
                                                <span class="font-bold">
                                                    {{ currency_symbol('BDT') }}
                                                </span>
                                            </td>
                                            <td class="pl-3 py-1 text-right">
                                                <span class="font-bold" id="__discountCurrency">
                                                    @php
                                                        $discountTotal = ($orderManagement->shipping_cost + $orderManagement->product_price_total) - $orderManagement->in_total;
                                                    @endphp
                                                    {{ currency_number($discountTotal, 3) }}
                                                </span>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="3" class="pt-1 border border-dashed border-r-0 border-b-0 border-l-0 border-gray-400"></td>
                                        </tr>
                                        <tr>
                                            <td class="pr-3 py-1 font-bold text-red-500">
                                                Total Amount
                                            </td>
                                            <td class="py-1">
                                                <span class="text-white">-</span>
                                                <span class="font-bold text-red-500">
                                                    {{ currency_symbol('BDT') }}
                                                </span>
                                            </td>
                                            <td class="pl-3 py-1 text-right">
                                                <span class="font-bold text-red-500" id="__grandTotalCurrency">
                                                    {{ currency_number($orderManagement->in_total, 3) }}
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </x-section.body>
                    </x-section.section>

                    <div class="text-center pb-4">
                        <x-button type="button" color="gray" class="mr-1" id="__btnCancelEditOrder">
                            {{ __('translation.Cancel') }}
                        </x-button>
                        <x-button type="submit" color="blue" id="__btnSubmitEditOrder">
                            {{ __('translation.Update Order') }}
                        </x-button>
                    </div>

                </form>
            </x-card.body>
        </x-card.card-default>


        <x-modal.modal-small class="modal-hide" id="__modalCancelEditOrder">
            <x-modal.header>
                <x-modal.title>
                    {{ __('translation.Confirm') }}
                </x-modal.title>
            </x-modal.header>
            <x-modal.body>
                <div class="mb-5">
                    <p class="text-center">
                        {{ __('translation.Are you sure to cancel this order') . '?' }}
                    </p>
                </div>
                <div class="text-center pb-5">
                    <x-button type="button" color="gray" id="__btnCloseModalCancelEditOrder">
                        {{ __('translation.No, Close') }}
                    </x-button>
                    <x-button-link href="{{ route('service.index') }}" color="red">
                        {{ __('translation.Yes, Continue') }}
                    </x-button-link>
                </div>
            </x-modal.body>
        </x-modal.modal-small>


        <x-modal.modal-small class="modal-hide" id="__modalRemoveShippingItem">
            <x-modal.header>
                <x-modal.title>
                    {{ __('translation.Confirm') }}
                </x-modal.title>
            </x-modal.header>
            <x-modal.body>
                <div class="mb-5">
                    <p class="text-center">
                        {{ __('translation.Are you sure to remove this shipping method') . '?' }}
                    </p>
                </div>
                <div class="text-center pb-5">
                    <x-button type="button" color="gray" id="__btnNoModalRemoveShippingItem">
                        {{ __('translation.No, Close') }}
                    </x-button>
                    <x-button type="button" color="red" id="__btnYesModalRemoveShippingItem">
                        {{ __('translation.Yes, Remove') }}
                    </x-button>
                </div>
            </x-modal.body>
        </x-modal.modal-small>

        <div class="modal fade" tabindex="-1" role="dialog" id="make_manual_payment_modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form method="POST" action="{{route('createShipment')}}" id="create_shipment" enctype="multipart/form-data">
                    @csrf
                    <div class="modal-header">
                        <h5 class="modal-title">
                            <strong>Make Payment</strong>
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">

                        <div class="form-group">
                            <label for="email">
                                <strong>Pending Total</strong>
                            </label>
                            <x-input type="text" name="pending_total" id="pending_total" />

                            <x-input type="hidden" name="pending_total_input" id="pending_total_input" />
                        </div>

                        <div class="form-group">
                            <label for="email">
                                <strong>New Amount</strong>
                            </label>
                            <x-input type="text" name="payment_amount" id="payment_amount"/>
                        </div>

                    <input type="checkbox" class="fully_paid mt-2" id="fully_paid" name="fully_paid"> <strong>Fully Paid</strong><br>

                    <input type="hidden"  id="service_id_confirm_payment" name="service_id_confirm_payment">

                    <div class="mt-4 text-center">

                      <input class="btn btn-success" style="margin: 0 auto; padding: 5px 10px;" type="button" onclick="makeNewPayment()" value="Make Payment" />
                    </div>

                    </div>

                </form>
            </div>
        </div>
    </div>


        <div class="hidden" id="__templateProductItem">
            <div class="flex flex-row mb-5 py-4 border border-solid border-t-0 border-r-0 border-l-0 border-gray-200" id="__row_ProductItem_{part_no}">
                <input type="hidden" name="product_id[]" value="{product_id}" class="product-id__field" data-product-code="{part_no}">
                <input type="hidden" name="product_price[]" value="{price}" class="product-price__field" data-product-code="{part_no}">
                <input type="hidden" name="product_discount[]" value="0" min="0" max="{price}" step="0.001" class="product-discount__field" data-product-code="{part_no}">
                <input type="hidden" name="product_weight[]" value="{weight}" class="product-weight__field" data-product-code="{part_no}">

                <div class="w-1/4 sm:w-1/4 md:w-1/5 lg:w-1/6 mb-4 md:mb-0">
                    <div class="mb-4">
                        <img src="#" alt="{part_name}" class="w-full h-auto rounded-md">
                    </div>
                    <div>
                        <x-button-sm type="button" color="red" class="block w-full" data-code="{part_no}" onClick="removeProductItem(this)">
                            <span class="block sm:hidden">
                                <i class="fas fa-times"></i>
                            </span>
                            <span class="hidden sm:block">
                                {{ __('translation.Remove') }}
                            </span>
                        </x-button>
                    </div>
                </div>
                <div class="w-3/4 sm:w-3/4 md:w-4/5 lg:w-5/6 ml-4 sm:ml-6">
                    <div class="grid grid-cols-1 sm:grid-cols-5 gap-4 sm:gap-x-8 lg:pt-1">
                        <div class="sm:col-span-3">
                            <div class="mb-2 xl:mb-4 lg:col-span-2 xl:col-span-3">
                                <label class="hidden lg:block mb-0">
                                    {{ __('translation.Product Name') }} :
                                </label>
                                <p class="font-bold">
                                    {part_name} <br>
                                    <span class="text-gray-700">{part_no}</span>
                                </p>
                            </div>
                            <div>
                                <div class="grid grid-cols-1 lg:grid-cols-2 gap-2 lg:gap-x-8">
                                    <div>
                                        <label class="mb-0 lg:block">
                                            {{ __('translation.Price') }} :
                                        </label>
                                        <span class="font-bold product-old-price">
                                            {{ currency_symbol('BDT') }}
                                            {priceString}
                                        </span>
                                        <button type="button" class="ml-3 bg-transparent border-0 outline-none focus:outline-none font-bold text-blue-500 btn-product-discount" data-product-code="{part_no}">
                                            {{ __('translation.Discount Price') }}
                                        </button>
                                    </div>
                                    <div>
                                        <label class="mb-0">
                                            {{ __('translation.Available Qty') }} :
                                        </label>
                                        <span class="font-bold lg:block">
                                            {qty}
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="sm:col-span-2 xl:w-3/5">
                            <div class="grid grid-cols-2 sm:grid-cols-1 gap-3 sm:gap-4">
                                <div>
                                    <label class="mb-0">
                                        {{ __('translation.Order Qty') }} <x-form.required-mark/> :
                                    </label>
                                    <x-input type="number" name="product_qty[]" value="0" min="1" class="product-qty__field" data-product-code="{part_no}" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="__templateShippingItem" class="hidden">
        <div class="mb-4 pb-3 border border-t-0 border-r-0 border-l-0 border-dashed border-gray-300" id="__shippingMethodItem_{item_id}">
            <div class="flex flex-row items-start">
                <div>
                    <input type="radio" name="shipping_method_radio[]" id="__shipping_method_{item_id}" class="shipping-method__id-radio-field" data-id="{item_id}">
                    <input type="hidden" name="shipping_method_id[]" value="{shipping_id}" class="shipping-method__id-input--field" data-id="{item_id}">
                    <input type="hidden" name="shipping_method_name[]" value="{shipping_cost_name} ({shipper_name})" class="shiping-method__name-field">
                    <input type="hidden" name="shipping_method_price[]" value="{price}" class="shiping-method__price-field">
                    <input type="hidden" name="shipping_method_discount[]" value="0" class="shiping-method__discount-field">
                    <input type="hidden" name="shipping_method_selected[]" value="0" class="shiping-method__selected-input-field">
                </div>
                <div class="ml-2">
                    <div class="flex flex-col lg:flex-row lg:items-center shipping-method__content-wrapper">
                        <div class="flex flex-col sm:flex-row sm:items-center">
                            <div class="mb-2 sm:mb-0">
                                <label for="__shipping_method_{item_id}" class="ml-1">
                                    {shipping_cost_name} ({shipper_name})
                                </label>
                            </div>
                            <div class="hidden sm:block ml-6">
                                -
                            </div>
                            <div class="sm:ml-2">
                                <span class="font-bold shipping-method__price-display">
                                    {{ currency_symbol('BDT') }} {priceString}
                                </span>
                                <button type="button" class="ml-2 bg-transparent border-0 outline-none focus:outline-none font-bold text-blue-500 shipping-method__btn-product-discount" data-id="{item_id}">
                                    {{ __('translation.Discount Cost') }}
                                </button>
                            </div>
                        </div>
                        <div class="hidden lg:block ml-6">
                            -
                        </div>
                        <div class="sm:ml-2">
                            <div class="flex flex-row items-center mt-4 lg:mt-0">
                                <div class="mr-4">
                                    <label class="mb-0 font-bold">
                                        Public Page :
                                    </label>
                                </div>
                                <div>
                                    <div class="mr-4 relative top-[0.10rem]">
                                        <input type="checkbox" id="__shiping_method_enable_checkbox_{item_id}" class="shiping-method__enable-checkbox-field" data-id="{item_id}" checked>
                                        <label for="__shiping_method_enable_checkbox_{item_id}" class="mb-0 ml-1">
                                            {{ __('translation.Enable') }}
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="__templateRemoveButtonShippingItem" class="hidden">
        <div class="hidden lg:block ml-3">
            -
        </div>
        <div class="lg:ml-2 mt-3 lg:mt-0">
            <button type="button" class="ml-2 bg-transparent border-0 outline-none focus:outline-none font-bold text-red-500 shipping-method__btn-remove-item" data-id="{item_id}">
                {{ __('translation.Remove') }}
            </button>
        </div>
    </div>


    <x-modal.modal-small id="__modalAddDiscount" class="modal-hide">
        <x-modal.header>
            <x-modal.title>
                {{ __('translation.Product Discount Price') }}
            </x-modal.title>
        </x-modal.header>
        <x-modal.body>
            <div class="pb-6">

                <input type="hidden" id="__productCodeAddDiscount">

                <div class="mb-5">
                    <div class="grid grid-cols-1 gap-4">
                        <div>
                            <label class="mb-0">
                                {{ __('translation.Original Price') }} <x-form.required-mark/> :
                            </label>
                            <x-input type="number" id="__currentPriceAddDiscount" min="0" step="0.001" class="bg-gray-200" readonly />
                        </div>
                        <div>
                            <label class="mb-0">
                                {{ __('translation.Discount Price') }} <x-form.required-mark/> :
                            </label>
                            <x-input type="number" id="__discountPriceAddDiscount" min="0" step="0.001" />
                        </div>
                    </div>
                </div>
                <div class="text-center flex flex-col items-center">
                    <div>
                        <x-button type="button" color="red-text" id="__btnResetDiscountModalAddDiscount" class="mb-2">
                            {{ __('translation.Reset Discount') }}
                        </x-button>
                    </div>
                    <div class="text-center">
                        <x-button type="button" color="gray" id="__btnCancelModalAddDiscount" class="mb-2">
                            {{ __('translation.Cancel') }}
                        </x-button>
                        <x-button type="button" color="blue" id="__btnSaveModalAddDiscount">
                            {{ __('translation.Save Changes') }}
                        </x-button>
                    </div>
                </div>
            </div>
        </x-modal.body>
    </x-modal.modal-small>


    <x-modal.modal-small id="__modalAddShippingDiscount" class="modal-hide">
        <x-modal.header>
            <x-modal.title>
                {{ __('translation.Shipping Discount Cost') }}
            </x-modal.title>
        </x-modal.header>
        <x-modal.body>
            <div class="pb-6">

                <input type="hidden" id="__shippingIdAddShippingDiscount">

                <div class="mb-5">
                    <div class="grid grid-cols-1 gap-4">
                        <div>
                            <label class="mb-0">
                                {{ __('translation.Original Cost') }} <x-form.required-mark/> :
                            </label>
                            <x-input type="number" id="__currentPriceAddShippingDiscount" min="0" step="0.001" class="bg-gray-200" readonly />
                        </div>
                        <div>
                            <label class="mb-0">
                                {{ __('translation.Discount Cost') }} <x-form.required-mark/> :
                            </label>
                            <x-input type="number" id="__discountPriceAddShippingDiscount" min="0" step="0.001" />
                        </div>
                    </div>
                </div>
                <div class="text-center flex flex-col items-center">
                    <div>
                        <x-button type="button" color="red-text" id="__btnResetDiscountModalAddShippingDiscount" class="mb-2">
                            {{ __('translation.Reset Discount') }}
                        </x-button>
                    </div>
                    <div class="text-center">
                        <x-button type="button" color="gray" id="__btnCancelModalAddShippingDiscount" class="mb-2">
                            {{ __('translation.Cancel') }}
                        </x-button>
                        <x-button type="button" color="blue" id="__btnSaveModalAddShippingDiscount">
                            {{ __('translation.Save Changes') }}
                        </x-button>
                    </div>
                </div>
            </div>
        </x-modal.body>
    </x-modal.modal-small>


    <x-modal.modal-large id="__modalProductGrid" class="modal-hide">
        <x-modal.header>
            <x-modal.title>
                {{ __('translation.Find Any Products') }}
            </x-modal.title>
            <x-modal.close-button class="__btnCloseModalProductGrid" />
        </x-modal.header>
        <x-modal.body>
            <div class="pb-6">
                <div class="mb-6">
                    <div class="w-full md:w-1/2">
                        <x-label for="__category_idProductGrid">
                            {{ __('translation.Category') }} <x-form.required-mark/>
                        </x-label>
                        <x-select name="category_id" id="__category_idProductGrid">
                            <option value="" selected disabled>
                                {{ '- '.  __('translation.All Categories') .' -' }}
                            </option>
                        </x-select>
                    </div>
                </div>

                <div class="w-full overflow-x-auto mb-10">
                   <!--  Comments out By Me -->
                   <!--  <table class="w-full" id="__tableProductGrid">
                        <thead>
                            <tr class="bg-blue-500">
                                <th class="px-2 py-4 text-white">ID</th>
                                <th class="px-2 py-4 text-white">Product Details</th>
                                <th class="px-2 py-4 text-white">Action</th>
                            </tr>
                        </thead>
                    </table> -->
                   <!--  Comments out By Me -->
                </div>

                <div class="text-center">
                    <x-button type="button" color="red" class="__btnCloseModalProductGrid">
                        {{ __('translation.Close') }}
                    </x-button>
                </div>
            </div>
        </x-modal.body>
    </x-modal.modal-large>


    <x-modal.modal-small id="__modalNewShippingMethod" class="modal-hide">
        <x-modal.header>
            <x-modal.title>
                {{ __('translation.New Shipping Method') }}
            </x-modal.title>
        </x-modal.header>
        <x-modal.body>
            <div class="pb-6">

                <form action="#" method="post" id="__formNewShippingMethod">
                    <div class="mb-5">
                        <div class="grid grid-cols-1 gap-4">
                            <div>
                                <label class="mb-0">
                                    {{ __('translation.Name') }} <x-form.required-mark/> :
                                </label>
                                <x-input type="text" name="name" id="__nameNewShippingMethod" autocomplete="off" required />
                            </div>
                            <div>
                                <label class="mb-0">
                                    {{ __('translation.Cost') }} <x-form.required-mark/> :
                                </label>
                                <x-input type="number" name="price" id="__priceNewShippingMethod" step="0.001" autocomplete="off" required />
                            </div>
                        </div>
                    </div>
                    <div class="text-center">
                        <x-button type="reset" color="gray" id="__btnCancelModalNewShippingMethod" class="mb-2">
                            {{ __('translation.Cancel') }}
                        </x-button>
                        <x-button type="submit" color="blue" id="__btnSaveModalNewShippingMethod">
                            {{ __('translation.Save') }}
                        </x-button>
                    </div>
                </form>

            </div>
        </x-modal.body>
    </x-modal.modal-small>


    @push('bottom_js')
        <script src="https://cdn.jsdelivr.net/npm/typeahead.js@0.11.1/dist/typeahead.bundle.min.js"></script>
        
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/clipboard@2.0.8/dist/clipboard.min.js"></script>

        <script>
            const orderUpdateUrl = '{{ route('service.update') }}';
            const orderDatatableUrl = '{{ route('service.index') }}';

            const selectTwoShopUrl = '{{ route('shop.select') }}';
            const getCustomerInfoUrl = '{{ route('customer-phone.show') }}';
            const selectTwoCategoriesUrl = '{{ route('categories.select') }}';
            const productGridTableUrl = '{{ route('service.product-grid.index') }}';
            const getShippingCostsUrl = '{{ route('shipper.shipping-cost.weight') }}';

            const enterKeyCode = 13;
            const BDTSymbol = '{{ currency_symbol('BDT') }}';

            const textEditOrder = '{{ __('translation.Update Order') }}';
            const textProcessing = '{{ __('translation.Processing') }}';
            const textCustomerFound = '{{ __('translation.Customer found') }}';
            const textCustomerNotFound = '{{ __('translation.Customer not found. Create new customer.') }}';

            var selectedProductsToList = {!! $addedProductCodes->toJson() !!};
            var productSource = {!! $products->toJson() !!};

            var latestShippingId = {{ $shippingItemId }};

            var subTotal = 0;
            var shippingCost = 0;
            var discountTotal = 0;
            var totalAmount = 0;

            var weightTotal = 0;

            $('#__shop_idEditOrder').select2({
                placeholder: '- Select Shop -',
                width: 'element',
                ajax: {
                    type: 'GET',
                    url: selectTwoShopUrl,
                    data: function(params) {
                        return {
                            search: params.term,
                            page: params.page || 1
                        };
                    },
                    delay: 500
                }
            });


            $('#__order_statusEditOrder').select2({
                placeholder: '- Select Order Status -'
            });


            $('#__category_idProductGrid').select2({
                width: 'element',
                ajax: {
                    type: 'GET',
                    url: selectTwoCategoriesUrl,
                    data: function(params) {
                        return {
                            search: params.term,
                            page: params.page || 1
                        };
                    },
                    delay: 500
                }
            });


            const loadProductGridTable = (categoryId = 0) => {
                $('#__tableProductGrid').DataTable({
                    bDestroy: true,
                    serverSide: true,
                    processing: true,
                    ajax: {
                        type: 'GET',
                        url: productGridTableUrl,
                        data: {
                            categoryId: categoryId
                        }
                    },
                    columns: [
                        {
                            name: 'id',
                            data: 'id'
                        },
                        {
                            name: 'product_details',
                            data: 'product_details'
                        },
                        {
                            name: 'action',
                            data: 'action',
                            orderable: false
                        },
                    ],
                    columnDefs: [
                        {
                            targets: [1],
                            className: 'text-left'
                        }
                    ],
                    pagingType: 'numbers'
                })
            }


            loadProductGridTable();


            $('#__category_idProductGrid').on('change', function() {
                let selectedCategory = $(this).val();

                loadProductGridTable(selectedCategory);
            });


            const selectProductGrid = (el) => {
                let productCode = el.getAttribute('data-code');

                renderProductToList(productCode);
            }


            const fetchCustomerDataByPhone = phoneNumber => {
                $.ajax({
                    type: 'GET',
                    url: getCustomerInfoUrl,
                    data: {
                        phoneNumber: phoneNumber
                    },
                    success: function(responseJson) {
                        let customerData = responseJson.data;

                        $('#__customer_nameEditOrder').val(customerData.customer_name);
                        $('#__contact_phoneEditOrder').val(customerData.contact_phone);

                        $('#__customer_nameEditOrder').addClass('bg-gray-200').attr('readonly', true);
                        $('#__contact_phoneEditOrder').addClass('bg-gray-200').attr('readonly', true);

                        $('#__fetchCustomerResultMessage').removeClass('hidden');
                        $('#__fetchCustomerResultMessage').find('span')
                                                        .addClass('text-green-500')
                                                        .removeClass('text-yellow-500')
                                                        .html(`${textCustomerFound} : ${customerData.contact_phone}`);

                    },
                    error: function(error) {
                        let responseJson = error.responseJSON;

                        let alertMessage = responseJson.message;

                        if (error.status == 404) {
                            $('#__fetchCustomerResultMessage').removeClass('hidden');
                            $('#__fetchCustomerResultMessage').find('span')
                                                            .addClass('text-red-500')
                                                            .removeClass('text-green-500')
                                                            .html(textCustomerNotFound);

                            $('#__customer_nameEditOrder')
                                .val('')
                                .removeClass('bg-gray-200')
                                .removeAttr('readonly');
                            $('#__customer_nameEditOrder').focus();

                            $('#__contact_phoneEditOrder').val(phoneNumber);
                        }

                        if (error.status != 404) {
                            alert(alertMessage);
                        }

                        throw error;
                    }
                });
            }


            $('#search_contact_phone').on('keyup', function(event) {
                let keyCode = event.keyCode || event.which;

                if (keyCode != enterKeyCode) {
                    $('#__fetchCustomerResultMessage').addClass('hidden');
                    $('#__fetchCustomerResultMessage').find('span')
                                                .removeClass('text-red-500 text-gree-500')
                                                .html(null);

                    $('#__customer_nameEditOrder').val('');
                    $('#__contact_phoneEditOrder').val('');

                    $('#__customer_nameEditOrder').addClass('bg-gray-200').attr('readonly', true);
                    $('#__contact_phoneEditOrder').addClass('bg-gray-200').attr('readonly', true);
                }
            });


            $('#search_contact_phone').on('keypress', function(event) {
                let keyCode = event.keyCode || event.which;

                if (keyCode == enterKeyCode) {
                    let contactPhone = $(this).val();
                    fetchCustomerDataByPhone(contactPhone);

                    return false;
                }
            });


            $('#__btnContactPhone').on('click', function() {
                let contactPhone = $('#search_contact_phone').val();
                fetchCustomerDataByPhone(contactPhone);
            });



            $('.channel-item').on('click', function() {
                let selectedName = $(this).data('name');

                $('.channel-item').each(function() {
                    $(this).removeClass('border-blue-500')
                        .addClass('border-gray-300');
                });

                $(this).removeClass('border-gray-300')
                    .addClass('border-blue-500');

                $('#__selectedChannelOutput').html(selectedName);
            });


            const substringMatcher = function(strs) {
                return function findMatches(q, cb) {
                    var matches, substringRegex;
                    matches = [];

                    substrRegex = new RegExp(q, 'i');

                    $.each(strs, function(i, str) {
                        if (substrRegex.test(str)) {
                            matches.push(str);
                        }
                    });

                    cb(matches);
                };
            };


            const initializeTypeAheadField = () => {
                $('#__product_id_EditOrder').typeahead({
                    hint: true,
                    minLength: 1,
                    highlight: true
                }, {
                    source: substringMatcher(productSource)
                });
            }

            initializeTypeAheadField();


            $(document).on('click', '.tt-suggestion', function() {
                renderProductToList($(this).text());
            });


            const renderProductToList = typeAheadValue => {
                let reverseTypeAheadValue = typeAheadValue.split('').reverse().join('');
                let startPosForProductCode = typeAheadValue.length - (reverseTypeAheadValue.indexOf('('));
                let endPosForProductCode = typeAheadValue.indexOf(')', typeAheadValue.length - 1);
                let productCode = typeAheadValue.substring(startPosForProductCode, endPosForProductCode);

                if (startPosForProductCode == 0 && endPosForProductCode == -1) {
                    productCode = typeAheadValue;
                }

                if (productCode !== '') {
                    $.ajax({
                        type: 'GET',
                        data: {
                            part_no: productCode
                        },
                        url: '{{ route('get_qr_code_product') }}',
                        success: function(responseJson) {
                            if (responseJson.status === 1) {
                                $('#error_modal').modal('show');
                            }

                            if (responseJson.status === 3) {
                                let templateProductItemElement = $('#__templateProductItem').clone();
                                let product = responseJson.product;

                                let productQuantity = 0;
                                if (typeof(product.get_quantity.quantity) !== 'undefined') {
                                    productQuantity = product.get_quantity.quantity;
                                }

                                let productWeight = parseFloat(product.weight);
                                if (isNaN(productWeight)) {
                                    productWeight = 0;
                                }


                                if (selectedProductsToList.indexOf(product.part_no) === -1) {
                                    selectedProductsToList.push(product.part_no);

                                    templateProductItemElement.html(function(index, html) {
                                        return html.replace('src="#"', 'src="'+ product.image_url +'"');
                                    });

                                    templateProductItemElement.html(function(index, html) {
                                        return html.replaceAll('{product_id}', product.id);
                                    });

                                    templateProductItemElement.html(function(index, html) {
                                        return html.replaceAll('{weight}', productWeight);
                                    });

                                    templateProductItemElement.html(function(index, html) {
                                        return html.replaceAll('{part_name}', product.part_name);
                                    });

                                    templateProductItemElement.html(function(index, html) {
                                        return html.replaceAll('{part_no}', product.part_no);
                                    });

                                    templateProductItemElement.html(function(index, html) {
                                        return html.replaceAll('{price}', product.price);
                                    });

                                    templateProductItemElement.html(function(index, html) {
                                        return html.replaceAll('{priceString}', product.price.toLocaleString());
                                    });

                                    templateProductItemElement.html(function(index, html) {
                                        return html.replaceAll('{qty}', productQuantity.toLocaleString());
                                    });

                                    $('#__noProductWrapper').hide();
                                    $('#__productListWrapper').prepend(templateProductItemElement.html());
                                }


                                if (selectedProductsToList.indexOf(product.part_no) > -1) {
                                    let stockAdjustElement = $(`#__row_ProductItem_${product.part_no} .product-qty__field`);
                                    let currentValue = parseInt(stockAdjustElement.val());

                                    let increasedValue = currentValue + 1;
                                    stockAdjustElement.val(increasedValue);
                                }

                                $('#__product_id_EditOrder').typeahead('destroy');
                                $('#__product_id_EditOrder').val(null);
                                initializeTypeAheadField();

                                $('#__product_id_EditOrder').focus();

                                calculateCartTotal();
                                fetchAvailableShippingMethods();
                            }
                        }
                    });
                }
            }


            $(document).on('keypress', '#__product_id_EditOrder', function(event) {
                let keyboardCode = event.keyCode || event.which;

                if (keyboardCode == 13) { // enter key
                    event.preventDefault();

                    let typeAheadValue = $(this).val();
                    renderProductToList(typeAheadValue);

                    return false;
                }
            });


            $('#__btnFindByGrid').on('click', function() {
                $('#__category_idProductGrid').val('').trigger('change');

                $('#__modalProductGrid').doModal('open');
            });


            $('.__btnCloseModalProductGrid').on('click', function() {
                $('#__modalProductGrid').doModal('close');
            });


            const removeProductItem = el => {
                const productCode = el.getAttribute('data-code');

                selectedProductsToList.splice(selectedProductsToList.indexOf(productCode), 1);

                $(`#__row_ProductItem_${productCode}`).remove();

                if (selectedProductsToList.length === 0) {
                    $('#__noProductWrapper').show();

                    $('#__shippingMethodListWrapper').html(null);
                    $('#__shippingMethodButtonWrapper').hide();
                    $('#__noShippingMethodsWrapper').show();
                }

                calculateCartTotal();
                fetchAvailableShippingMethods();
            }


            $('#__btnClearProductList').click(function() {
                selectedProductsToList = [];

                $('#__productListWrapper').html(null);
                $('#__noProductWrapper').show();
            });


            $('body').on('keyup', '.product-qty__field', function() {
                let productCode = $(this).data('product-code');

                let qtyValue = parseInt($(this).val());
                if (isNaN(qtyValue)) {
                    qtyValue = 0;
                }

                if (qtyValue < 0) {
                    alert('Minimum quantity is 1');

                    $(this).val(1);
                    return;
                }

                calculateCartTotal();
                fetchAvailableShippingMethods();
            });


            $('body').on('change', '.product-qty__field', function() {
                let productCode = $(this).data('product-code');

                let qtyValue = parseInt($(this).val());
                if (isNaN(qtyValue)) {
                    qtyValue = 0;
                }

                /**
                 *  Fixing bug
                 *  When user try to edit by deleting the value first
                 */
                if (qtyValue <= 0) {
                    alert('Minimum quantity is 1');

                    $(this).val(1);
                    return;
                }

                calculateCartTotal();
                fetchAvailableShippingMethods();
            });


            const calculateCartTotal = _ => {
                subTotal = 0;
                shippingCost = 0;
                discountTotal = 0;
                totalAmount = 0;
                weightTotal = 0;

                /**
                 * --------------------------------
                 * Calculate the product section
                 * --------------------------------
                 */
                $('#__productListWrapper').find('.product-id__field').each(function() {
                    let productCode = $(this).data('product-code');
                    let $productItemWrapper = $('#__row_ProductItem_' + productCode);

                    let productDiscount = parseFloat($productItemWrapper.find('.product-discount__field').val());
                    if (isNaN(productDiscount)) {
                        productDiscount = 0;
                    }

                    let productPrice = parseFloat($productItemWrapper.find('.product-price__field').val());
                    if (isNaN(productPrice)) {
                        productPrice = 0;
                    }

                    let productQty = parseInt($productItemWrapper.find('.product-qty__field').val());
                    if (isNaN(productQty)) {
                        productQty = 0;
                    }

                    let productWeight = parseInt($productItemWrapper.find('.product-weight__field').val());
                    if (isNaN(productWeight)) {
                        productWeight = 0;
                    }

                    subTotal += productPrice * productQty;
                    discountTotal += productDiscount * productQty;

                    weightTotal += productWeight * productQty;
                });

                /**
                 * ----------------------------------
                 * Calculate the shipping section
                 * ----------------------------------
                 */
                $('#__shippingMethodOuterWrapper').find('.shipping-method__id-radio-field').each(function() {
                    let itemId = $(this).data('id');

                    let $shippingItemWrapper = $('#__shippingMethodItem_' + itemId);
                    let $nameField = $shippingItemWrapper.find('.shiping-method__name-field');
                    let $priceField = $shippingItemWrapper.find('.shiping-method__price-field');
                    let $discountField = $shippingItemWrapper.find('.shiping-method__discount-field');


                    if ($(this).is(':checked')) {
                        let priceValue = parseFloat($priceField.val());
                        if (isNaN(priceValue)) {
                            priceValue = 0;
                        }

                        let discountValue = parseFloat($discountField.val());
                        if (isNaN(discountValue)) {
                            discountValue = 0;
                        }

                        shippingCost += priceValue;
                        discountTotal += discountValue;
                    }
                });


                totalAmount = subTotal + shippingCost - discountTotal;

                $('#__subTotalCurrency').html(subTotal.toLocaleString());
                $('#__discountCurrency').html(discountTotal.toLocaleString());
                $('#__shippingCostCurrency').html(shippingCost.toLocaleString());
                $('#__grandTotalCurrency').html(totalAmount.toLocaleString());
            }


            const fetchAvailableShippingMethods = _ => {
                latestShippingId = 0;

                if (selectedProductsToList.length > 0) {
                    $.ajax({
                        type: 'GET',
                        url: `${getShippingCostsUrl}?weight=${weightTotal}`,
                        beforeSend: function() {
                            $('#__shippingMethodButtonWrapper').hide();
                            $('#__shippingMethodListWrapper').html(null);
                            $('#__noShippingMethodsWrapper').show();
                        },
                        success: function(responseData) {
                            let data = responseData.data;
                            let shippingCosts = data.shipping_costs;

                            $('#__shippingMethodButtonWrapper').show();

                            if (shippingCosts.length > 0) {
                                $('#__shippingMethodListWrapper').html(null);
                                $('#__noShippingMethodsWrapper').hide();

                                shippingCosts.map((shippingCost, idx) => {
                                    let $templateShippingItem = $('#__templateShippingItem').clone();

                                    latestShippingId = idx;

                                    renderShippingItem({
                                        itemId: latestShippingId,
                                        shippingId: shippingCost.id,
                                        shippingCostName: shippingCost.name,
                                        shippingCostPrice: shippingCost.price,
                                        shipperName: shippingCost.shipper.name
                                    });
                                });
                            }

                            shippingCost = 0;
                        },
                        error: function(error) {
                            alert(`Something went wrong with shipping cost`);
                        }
                    });
                }
            }


            $('body').on('click', 'input[name="shipping_method_id"]', function() {
                let selectedShippingId = $(this).val();
                let $shippingItemWrapper = $('#__shippingMethodItem_' + selectedShippingId);

                let $shippingCostPriceElement = $shippingItemWrapper.find('.shiping-method__price-field');
                let shippingCost = parseFloat($shippingCostPriceElement.val());
                if (isNaN(shippingCost)) {
                    shippingCost = 0;
                }

                totalAmount = subTotal + shippingCost - discountTotal;

                $('#__shippingCostCurrency').html(shippingCost.toLocaleString());
                $('#__grandTotalCurrency').html(totalAmount.toLocaleString());
            });


            /**
             * Product Discount
             */
            $('body').on('click', '.btn-product-discount', function() {
                let productCode = $(this).data('product-code');

                let $productItemWrapper = $('#__row_ProductItem_' + productCode);
                let $productPriceElement = $productItemWrapper.find('.product-price__field');
                let $productDiscountElement = $productItemWrapper.find('.product-discount__field');

                let originPriceValue = $productPriceElement.val();
                let discountPriceValue = parseFloat($productDiscountElement.val());
                if (isNaN(discountPriceValue)) {
                    discountPriceValue = 0;
                }

                let discountPriceModalField = '';
                if (discountPriceValue > 0) {
                    discountPriceModalField = originPriceValue - discountPriceValue;
                }

                $('#__modalAddDiscount').doModal('open');

                $('#__currentPriceAddDiscount').val(originPriceValue);
                $('#__discountPriceAddDiscount').val(discountPriceModalField);
                $('#__discountPriceAddDiscount').focus();

                $('#__productCodeAddDiscount').val(productCode);
            });


            $('#__btnCancelModalAddDiscount').on('click', function() {
                $('#__modalAddDiscount').doModal('close');

                $('#__currentPriceAddDiscount').val('');
                $('#__discountPriceAddDiscount').val('');
                $('#__productCodeAddDiscount').val('');
            });


            $('body').on('click', '#__btnSaveModalAddDiscount', function() {
                let productCode = $('#__productCodeAddDiscount').val();

                let $productItemWrapper = $('#__row_ProductItem_' + productCode);
                let $oldPriceDisplayElement = $productItemWrapper.find('.product-old-price');
                let $productPriceElement = $productItemWrapper.find('.product-price__field');
                let $productDiscountElement = $productItemWrapper.find('.product-discount__field');
                let $btnAddDiscountElement = $productItemWrapper.find('.btn-product-discount');

                let productOldPrice = parseFloat($productPriceElement.val());

                let discountPrice = parseFloat($('#__discountPriceAddDiscount').val());
                if (isNaN(discountPrice)) {
                    discountPrice = 0;
                }

                if (productOldPrice - 1 < discountPrice) {
                    alert(`Maximum discount price for this product is ${BDTSymbol} ${productOldPrice - 1}`);
                    return;
                }

                if (discountPrice < 0) {
                    alert(`Minimum discount price is ${BDTSymbol} 0.`);
                    return;
                }

                productDiscountValue = productOldPrice - discountPrice;

                $oldPriceDisplayElement.removeClass('line-through');
                $btnAddDiscountElement.html(`Discount Price`);
                if (discountPrice >= 0) {
                    $oldPriceDisplayElement.addClass('line-through');
                    $btnAddDiscountElement.html(`Discount Price : ${BDTSymbol} ${discountPrice}`);
                }

                $productDiscountElement.val(productDiscountValue);
                calculateCartTotal();

                $('#__modalAddDiscount').doModal('close');

                $('#__currentPriceAddDiscount').val('');
                $('#__discountPriceAddDiscount').val('');
                $('#__productCodeAddDiscount').val('');
            });


            $('body').on('click', '#__btnResetDiscountModalAddDiscount', function() {
                let productCode = $('#__productCodeAddDiscount').val();

                let $productItemWrapper = $('#__row_ProductItem_' + productCode);
                let $oldPriceDisplayElement = $productItemWrapper.find('.product-old-price');
                let $productPriceElement = $productItemWrapper.find('.product-price__field');
                let $productDiscountElement = $productItemWrapper.find('.product-discount__field');
                let $btnAddDiscountElement = $productItemWrapper.find('.btn-product-discount');

                let productOldPrice = parseFloat($productPriceElement.val());

                $oldPriceDisplayElement.removeClass('line-through');
                $btnAddDiscountElement.html(`Discount Price`);

                $productDiscountElement.val(0);
                calculateCartTotal();

                $('#__modalAddDiscount').doModal('close');

                $('#__currentPriceAddDiscount').val('');
                $('#__discountPriceAddDiscount').val('');
                $('#__productCodeAddDiscount').val('');
            });


            /*
            * -----------------------
            * Shipping Method Price
            * -----------------------
            */
            $('body').on('click', '.shipping-method__btn-product-discount', function() {
                let shippingId = $(this).data('id');

                let $shippingItemWrapper = $('#__shippingMethodItem_' + shippingId);
                let $shippingPriceElement = $shippingItemWrapper.find('.shiping-method__price-field');
                let $shippingDiscountPriceElement = $shippingItemWrapper.find('.shiping-method__discount-field');

                let originalShippingCost = $shippingPriceElement.val();
                let discountShippingCost = $shippingDiscountPriceElement.val();
                if (isNaN(discountShippingCost)) {
                    discountShippingCost = 0;
                }

                let discountCostFieldModal = '';
                if (discountShippingCost > 0) {
                    discountCostFieldModal = originalShippingCost - discountShippingCost;
                }

                $('#__modalAddShippingDiscount').doModal('open');

                $('#__currentPriceAddShippingDiscount').val(originalShippingCost);
                $('#__discountPriceAddShippingDiscount').val(discountCostFieldModal);

                $('#__discountPriceAddShippingDiscount').focus();

                $('#__shippingIdAddShippingDiscount').val(shippingId);
            });


            $('#__btnCancelModalAddShippingDiscount').on('click', function() {
                $('#__modalAddShippingDiscount').doModal('close');

                $('#__currentPriceAddShippingDiscount').val('');
                $('#__discountPriceAddShippingDiscount').val('');
                $('#__shippingIdAddShippingDiscount').val('');
            });


            $('body').on('click', '#__btnResetDiscountModalAddShippingDiscount', function() {
                let shippingId = $('#__shippingIdAddShippingDiscount').val();

                let $shippingItemWrapper = $('#__shippingMethodItem_' + shippingId);
                let $oldPriceDisplayElement = $shippingItemWrapper.find('.shipping-method__price-display');
                let $productPriceElement = $shippingItemWrapper.find('.shiping-method__price-field');
                let $productDiscountElement = $shippingItemWrapper.find('.shiping-method__discount-field');
                let $btnAddDiscountElement = $shippingItemWrapper.find('.shipping-method__btn-product-discount');

                let productOldPrice = parseFloat($productPriceElement.val());

                $oldPriceDisplayElement.removeClass('line-through');
                $btnAddDiscountElement.html(`Discount Cost`);

                $productDiscountElement.val(0);
                calculateCartTotal();

                $('#__modalAddShippingDiscount').doModal('close');

                $('#__currentPriceAddShippingDiscount').val('');
                $('#__discountPriceAddShippingDiscount').val('');
                $('#__shippingIdAddShippingDiscount').val('');
            });


            $('body').on('click', '#__btnSaveModalAddShippingDiscount', function() {
                let shippingId = $('#__shippingIdAddShippingDiscount').val();

                let $shippingMethodItemWrapper = $('#__shippingMethodItem_' + shippingId);
                let $oldPriceDisplayElement = $shippingMethodItemWrapper.find('.shipping-method__price-display');
                let $shippingCostElement = $shippingMethodItemWrapper.find('.shiping-method__price-field');
                let $productDiscountElement = $shippingMethodItemWrapper.find('.shiping-method__discount-field');
                let $btnAddDiscountElement = $shippingMethodItemWrapper.find('.shipping-method__btn-product-discount');

                let shippingOldPrice = parseFloat($shippingCostElement.val());

                let discountPrice = parseFloat($('#__discountPriceAddShippingDiscount').val());
                if (isNaN(discountPrice)) {
                    discountPrice = 0;
                }

                if (shippingOldPrice - 1 < discountPrice) {
                    alert(`Maximum discount cost for this shipping is ${BDTSymbol} ${shippingOldPrice - 1}`);
                    return;
                }

                if (discountPrice < 0) {
                    alert(`Minimum discount cost is ${BDTSymbol} 0.`);
                    return;
                }

                shippingDiscountValue = shippingOldPrice - discountPrice;

                $oldPriceDisplayElement.removeClass('line-through');
                $btnAddDiscountElement.html(`Discount Cost`);
                if (discountPrice >= 0) {
                    $oldPriceDisplayElement.addClass('line-through');
                    $btnAddDiscountElement.html(`Discount Cost : ${BDTSymbol} ${discountPrice}`);
                }

                $productDiscountElement.val(shippingDiscountValue);
                calculateCartTotal();

                $('#__modalAddShippingDiscount').doModal('close');

                $('#__currentPriceAddShippingDiscount').val('');
                $('#__discountPriceAddShippingDiscount').val('');
                $('#__shippingIdAddShippingDiscount').val('');
            });


            /**
             * -------------------------------------------
             * Add New Shipping Method
             * -------------------------------------------
             */

            $('#__btnAddNewShippingMethod').on('click', function() {
                $('#__modalNewShippingMethod').doModal('open');
            });


            $('#__btnCancelModalNewShippingMethod').on('click', function() {
                $('#__modalNewShippingMethod').doModal('close');
            });


            $('#__formNewShippingMethod').on('submit', function(event) {
                event.preventDefault();

                let formData = new FormData($(this)[0]);
                latestShippingId += 1;

                renderShippingItem({
                    itemId: latestShippingId,
                    shippingId: 0,
                    shippingCostName: formData.get('name'),
                    shippingCostPrice: parseFloat(formData.get('price')),
                    shipperName: 'Custom'
                }, true);

                calculateCartTotal();

                $('#__modalNewShippingMethod').doModal('close');

                $(this)[0].reset();

                return false;
            });


            const renderShippingItem = ({
                itemId = 0,
                shippingId,
                shippingCostName,
                shippingCostPrice,
                shipperName
            }, isCustomShipping = false) => {
                let $templateShippingItem = $('#__templateShippingItem').clone();

                latestShippingId = itemId;

                $templateShippingItem.html(function(index, html) {
                    return html.replaceAll('{item_id}', itemId);
                });

                $templateShippingItem.html(function(index, html) {
                    return html.replaceAll('{shipping_id}', shippingId);
                });

                $templateShippingItem.html(function(index, html) {
                    return html.replaceAll('{shipping_cost_name}', shippingCostName);
                });

                $templateShippingItem.html(function(index, html) {
                    return html.replaceAll('{shipper_name}', shipperName);
                });

                $templateShippingItem.html(function(index, html) {
                    return html.replaceAll('{price}', shippingCostPrice);
                });

                $templateShippingItem.html(function(index, html) {
                    return html.replaceAll('{priceString}', shippingCostPrice.toLocaleString());
                });


                if (shippingId == 0) {
                    $('#__shippingMethodEnabledListWrapper').append($templateShippingItem.html())
                } else {
                    $('#__shippingMethodListWrapper').append($templateShippingItem.html());
                }


                if (isCustomShipping === true) {
                    addRemoveButtonToShippingMethod(itemId);
                }
            }


            const addRemoveButtonToShippingMethod = itemId => {
                $removeButtonTemplate = $('#__templateRemoveButtonShippingItem').clone();
                $shippingMethodItem = $('#__shippingMethodItem_' + itemId);

                $removeButtonTemplate.html(function(index, html) {
                    return html.replaceAll('{item_id}', itemId);
                });

                $shippingMethodItem
                    .find('.shipping-method__content-wrapper')
                    .append(
                        $removeButtonTemplate.html()
                    );
            }


            $('body').on('change', '.shipping-method__id-radio-field', function() {
                let itemId = $(this).data('id');
                let $shippingItemWrapper = $('#__shippingMethodItem_' + itemId);
                let $selectedInputField = $shippingItemWrapper.find('.shiping-method__selected-input-field');

                $('.shiping-method__selected-input-field').each(function() {
                    $(this).val(0);
                });

                $selectedInputField.val(0);
                if ($(this).is(':checked')) {
                    $selectedInputField.val(1);
                }

                calculateCartTotal();
            });


            $('body').on('click', '.shiping-method__enable-checkbox-field', function() {
                let itemId = $(this).data('id');

                let $shippingItemWrapper = $('#__shippingMethodItem_' + itemId);
                let $shippingRadioField = $shippingItemWrapper.find('.shipping-method__id-radio-field');
                let $shippingIdField = $shippingItemWrapper.find('.shipping-method__id-input--field');
                let $nameField = $shippingItemWrapper.find('.shiping-method__name-field');
                let $priceField = $shippingItemWrapper.find('.shiping-method__price-field');
                let $discountField = $shippingItemWrapper.find('.shiping-method__discount-field');
                let $selectedInputField = $shippingItemWrapper.find('.shiping-method__selected-input-field');

                $shippingRadioField.prop('checked', false);

                $shippingRadioField.attr('disabled', true);
                $shippingIdField.attr('disabled', true);
                $nameField.attr('disabled', true);
                $priceField.attr('disabled', true);
                $discountField.attr('disabled', true);
                $selectedInputField.attr('disabled', true);

                $selectedInputField.val(0);


                if ($(this).is(':checked')) {
                    $shippingRadioField.attr('disabled', false);
                    $shippingIdField.attr('disabled', false);
                    $nameField.attr('disabled', false);
                    $priceField.attr('disabled', false);
                    $discountField.attr('disabled', false);
                    $selectedInputField.attr('disabled', false);
                }

                calculateCartTotal();
            });


            $('body').on('click', '.shipping-method__btn-remove-item', function() {
                let itemId = $(this).data('id');

                $('#__modalRemoveShippingItem').doModal('open');

                $('#__btnYesModalRemoveShippingItem').attr('data-id', itemId);
            });


            $('#__btnNoModalRemoveShippingItem').on('click', function() {
                $('#__btnYesModalRemoveShippingItem').removeAttr('data-id');

                $('#__modalRemoveShippingItem').doModal('close');
            });


            $('#__btnYesModalRemoveShippingItem').on('click', function() {
                let itemId = $(this).data('id');

                $('#__shippingMethodItem_' + itemId).remove();

                calculateCartTotal();

                $('#__modalRemoveShippingItem').doModal('close');
            });

            /***
             *
             * Store the data
             * Using ajax
             *
             */
            $('#__formEditOrder').on('submit', function(event) {
                event.preventDefault();

                let formData = new FormData($(this)[0]);

                $.ajax({
                    type: 'POST',
                    url: orderUpdateUrl,
                    data: formData,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        $('.alert').addClass('hidden');
                        $('#__alertSuccessContent').html(null);
                        $('#__alertDangerContent').html(null);

                        $('#__btnCancelEditOrder').attr('disabled', true);
                        $('#__btnSubmitEditOrder').attr('disabled', true).html(textProcessing);
                    },
                    success: function(responseData) {
                        let orderResult = responseData.data;

                        $('html, body').animate({
                            scrollTop: 0
                        }, 500);

                        $('#__alertSuccessContent').html(responseData.message);
                        $('#__alertSuccess').removeClass('hidden');

                        setTimeout(() => {
                            window.location.href = orderDatatableUrl;
                        }, 1000);
                    },
                    error: function(error) {
                        let responseJson = error.responseJSON;

                        $('html, body').animate({
                            scrollTop: 0
                        }, 500);

                        $('#__btnCancelEditOrder').attr('disabled', false);
                        $('#__btnSubmitEditOrder').attr('disabled', false).html(textEditOrder);

                        if (error.status == 422) {
                            let errorFields = Object.keys(responseJson.errors);
                            errorFields.map(field => {
                                $('#__alertDangerContent').append(
                                    $('<span/>', {
                                        class: 'block mb-1',
                                        html: `- ${responseJson.errors[field][0]}`
                                    })
                                );
                            });

                        } else {
                            $('#__alertDangerContent').html(responseJson.message);

                        }

                        $('#__alertDanger').removeClass('hidden');
                    }
                });

                return false;
            });


            $('#__btnCancelEditOrder').on('click', function() {
                $('#__modalCancelEditOrder').doModal('open');
            });


            $('#__btnCloseModalCancelEditOrder').on('click', function() {
                $('#__modalCancelEditOrder').doModal('close');
            });


            var copyBuyerLinkOrderCreated = new ClipboardJS('#__btnCopyBuyerLinkOrderCreated');
            copyBuyerLinkOrderCreated.on('success', function(event) {
                alert('URL Copied.');
                event.clearSelection();
            });


            var copyBuyerLink = new ClipboardJS('#__btnCopyBuyerLink');
            copyBuyerLink.on('success', function(event) {
                alert('URL Copied.');
                event.clearSelection();
            });


            $('body').on('click', '#__publicUrlOrderCreated', function() {
                let publicUrl = $(this).data('href');
                window.open(publicUrl, '_blank');
            });


            $('body').on('click', '#__btnEditOrderCreated', function() {
                let editUrl = $(this).data('href');
                window.location.href = editUrl;
            });

            $('body').on('click', '#make_payment', function() {
                $("#make_manual_payment_modal").modal('show');
                $("#pending_total").val('Tk. '+$("#unpaid_total").val());
                $("#pending_total_input").val($("#unpaid_total").val());
            });



             function makeNewPayment(){
                var pending_total_input = $("#pending_total_input").val();
                var payment_amount = $("#payment_amount").val();
                var service_id = $("#id").val();
                //alert(service_id);

                var chk_arr = $('input[name="fully_paid"]:checked').length;
                if(chk_arr === 1){
                    var fully_paid = 1;
                }
                else{
                    var fully_paid = 0;
                }
                $.ajax
                ({
                    type: 'POST',
                    data: {payment_amount:payment_amount, service_id:service_id,fully_paid:fully_paid},
                    url: '{{url('makeNewPayment')}}',
                    success: function(result)
                    {
                        //alert(result);
                        console.log(result);
                        $("#make_manual_payment_modal").modal('hide');
                        var url = "{{ url('/service/') }}";
                        window.location.href = url+'/'+service_id+'/edit';
                    }
                });
             }
         </script>
    @endpush

</x-app-layout>
